<?php
defined('BASEPATH') or exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	http://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/
$route['default_controller'] = 'home';
$route['404'] = 'home';
$route['404_override'] = '';
$route['translate_uri_dashes'] = FALSE;
$route['home'] = 'home';
$route['webmaster'] = 'admin';
$route['webmaster/(:any)'] = 'admin/$1';
$route['webmaster/(:any)/(:any)'] = 'admin/$1/$2';
$route['memberlogin'] = 'users/memberlogin';
$route['customcart'] = 'cart/customcart';
$route['about-us'] = 'users/about_us';
$route['destination-details/(:any)'] = 'home/destination_details/$1';
$route['hotel-details/(:any)'] = 'home/hotel_details/$1';
$route['destinations'] = 'home/destinations';
$route['hotels'] = 'home/hotels';
$route['guide'] = 'home/guide';
$route['attractions'] = 'home/attractions';
$route['gallary'] = 'home/gallary';
$route['services'] = 'users/services';
$route['terms-condition'] = 'users/terms';
$route['projects'] = 'users/projects';
$route['gallery'] = 'users/gallery';
$route['contact-us'] = 'users/contact';
$route['privacy-policy'] = 'users/privacy';
$route['refund-policy'] = 'users/refund';
$route['list-your-property'] = 'home/list_property';
$route['sitemap'] = 'posts/read/$1';
$route['signout'] = 'admin/signout';
$route['signup'] = 'users/signup';
$route['login'] = 'admin/signin';
$route['verify'] = 'users/verifyaccount';
$route['item/(:any)/(:any)'] = 'users/products_list/$1/$2';
$route['item/(:any)/(:any)/(:any)'] = 'users/products_list/$1/$2/$3';
$route['product/(:any)'] = 'users/products/$1';
$route['forgot_password'] = 'users/forgot_password';
$route['reviewdocument/(:any)'] = 'home/reviewdocument/$1';
$route['chatpanel/(:any)'] = 'chat/$1';
$route['thankyou'] = 'users/thankyou';
$route['thank_you'] = 'contacts/thank_you';
$route['payment_failed/(:any)'] = 'users/payment_failed/$1';
$route['auth/activate/(:num)/(:any)'] = 'usersss/activate/$1/$2';
$route['(:any)'] = 'posts/$1';
$route['products-services/(:any)'] = 'posts/read/$1';
$route['add-ons/(:any)'] = 'posts/read/$1';
$route['contact'] = 'posts/contact/$1';