<?php
defined('BASEPATH') or exit('No direct scriu access allowed');
class Customer extends CI_Model
{

	var $table = 'users';
	function find($limit = null, $offset = 0)
	{

		$this->db->select('ug.user_id, u.*, GROUP_CONCAT(g.name) AS groups');
		$this->db->join('groups g', 'ug.group_id=g.id');
		$this->db->join('users u', 'ug.user_id=u.id');
		$this->db->group_by('ug.user_id');
		$this->db->order_by('u.id', 'DESC');
		$ignore = array('1', '2', '4', '5');
		$this->db->where_not_in('ug.group_id', $ignore);
		$users = $this->db->get('users_groups ug', $limit, $offset)->result_array();
		return $users;
	}

	function finduserList()
	{

		$this->db->select('*');
		//$this->db->from($this->table);
		$this->db->where('user_type', '1');
		//$users = $this->db->get()->result_array();
		$records = $this->db->get($this->table)->result();

		$data = array();

		foreach ($records as $record) {

			$data[] = array(
				"img" => '<img src="' . base_url('assets/uploads/') . $record->profile_path . '" class="img-shadow img-2x rounded-5 me-1">',
				"full_name" => $record->full_name,
				"designation" => $record->designation,
				"email" => $record->email,
				"mobile_number" => $record->mobile_number,
				"registration_type" => $record->registration_type . ' Registration',
				"active" => getuserStatus($record->active, $record->id),
				"Lstatus" => getLiveStatus($record->id),
				"link" => '<a class="btn btn-outline-success btn-sm" title="Update Sub-admin" href="' . site_url('admin/updatesubadmin/') . md5($record->id) . '" ><i class="ri-edit-box-line"></i></a> | <a class="btn btn-outline-info btn-sm" title="Change Password" href="' . site_url('admin/updatesubadminpassword/') . md5($record->id) . '"><i class="ri-eye-fill"></i></a>',
			);
		}


		return $data;
	}

	function create($user)
	{
		$this->db->insert($this->table, $user);
	}

	function find_by_email($email)
	{

		$this->db->select("*");
		$this->db->from($this->table);
		$this->db->where('md5(email)', $email);
		$query = $this->db->get();
		$value = $query->result_array();
		return $value[0];

	}

	function find_by_email1($email)
	{

		$this->db->select("*");
		$this->db->from($this->table);
		$this->db->where('md5(email)', $email);
		$query = $this->db->get();
		$value = $query->row_array();
		return $value;

	}


	function checkUserLogin($user_id)
	{
		$query = $this->db->query("SELECT COUNT(*) AS `numrows` FROM `users` WHERE `active`='0' and (`email` = '" . $user_id . "' OR `username` = '" . $user_id . "')");
		$value = $query->result_array();
		return $value[0]['numrows'];
		//echo $this->db->last_query();    
	}

	function checkUserid($user_id)
	{
		$query = $this->db->query("SELECT * FROM `users` WHERE `id` = '" . $user_id . "'");
		$value = $query->result_array();
		return $value[0]['user_type'];
	}



	function checkUsertype($user_id)
	{
		$query = $this->db->query("SELECT * FROM `users` WHERE (`email` = '" . $user_id . "' OR `username` = '" . $user_id . "')");
		$value = $query->result_array();
		return $value[0]['user_type'];
	}

	function checkemail($number)
	{
		$this->db->select("*");
		$this->db->from($this->table);
		$this->db->where('email', $number);
		$query = $this->db->get();
		$value = $query->row_array();
		return $value;
	}

	function update($user, $id)
	{
		$this->db->where('id', $id);
		$this->db->update($this->table, $user);
	}

	function update_by_email($user, $email)
	{
		$this->db->where('md5(email)', $email);
		$this->db->update($this->table, $user);

	}

	function delete($id)
	{
		$this->db->where('id', $id);
		$this->db->delete($this->table);
	}

	function count_all()
	{
		$this->db->from($this->table);
		$this->db->order_by('id', 'DESC');
		//$ignore = array('1','2','4','5');
		//$this->db->where_not_in('ug.group_id', $ignore);
		return $this->db->count_all_results();
	}

	function find_by_id($id)
	{
		$this->db->select('ug.user_id, u.*, GROUP_CONCAT(g.id) AS group_ids,GROUP_CONCAT(g.name) AS groups');
		$this->db->join('groups g', 'ug.group_id=g.id');
		$this->db->join('users u', 'ug.user_id=u.id');
		$this->db->group_by('ug.user_id');
		$this->db->where('u.id', $id);
		return $this->db->get('users_groups ug')->row_array();
	}

	function find_list()
	{
		$this->db->order_by('name', 'asc');
		$query = $this->db->get($this->table);
		$data = array();
		if ($query->num_rows() > 0) {
			foreach ($query->result_array() as $row) {
				$data[$row['id']] = $row['name'];
			}
		}
		return $data;
	}


	function find_list1()
	{
		$this->db->order_by('username', 'asc');
		$query = $this->db->get($this->table);
		$data = array();
		if ($query->num_rows() > 0) {
			foreach ($query->result_array() as $row) {
				$data[$row['id']] = $row['username'];
			}
		}
		return $data;
	}


	function getuserinfo_by_id($id)
	{
		$this->db->where('md5(id)', $id);
		return $this->db->get($this->table, 1)->row_array();
	}

	function find_list3()
	{
		$this->db->select('ug.user_id, u.*, GROUP_CONCAT(g.name) AS groups');
		$this->db->join('groups g', 'ug.group_id=g.id');
		$this->db->join('users u', 'ug.user_id=u.id');
		$this->db->group_by('ug.user_id');
		$this->db->order_by('u.id', 'DESC');
		$ignore = array('1', '2', '4', '5', '3');
		$this->db->where_not_in('ug.group_id', $ignore);
		$query = $this->db->get('users_groups ug', $limit, $offset);
		if ($query->num_rows() > 0) {
			foreach ($query->result_array() as $row) {
				$data[$row['id']] = $row['username'];
			}
		}
		return $data;
	}
}