<?php
defined('BASEPATH') or exit('No direct scriu access allowed');

class Patient_registration extends CI_Model
{
    var $table = 'patient_registration';

    public function findAll()
    {
        $this->db->select('*');
        $this->db->order_by('id', 'DESC');
        $query = $this->db->get($this->table);

        if ($query->num_rows() > 0) {
            return $query->result_array();
        }
    }

    public function findToday($date, $type, $user_id)
    {
        $this->db->select('*');
        if ($date != "") {
            $this->db->where('reg_date', $date);
        }

        if ($type != "") {
            $this->db->where('reg_type', $type);
        }

        if ($user_id != "") {
            $this->db->where('user_id', $user_id);
        }

        $this->db->order_by('id', 'DESC');
        $query = $this->db->get($this->table);

        if ($query->num_rows() > 0) {
            return $query->result_array();
        }
    }

    public function checkopd($opd_id, $doc_id)
    {
        $query = $this->db->query("SELECT COUNT(*) AS `numrows` FROM `opd_doctor` WHERE `opd_id`='" . $opd_id . "' and `doc_id`='" . $doc_id . "'");
        $value = $query->result_array();
        return $value[0]['numrows'];
    }

    function create($data)
    {
        $this->db->insert($this->table, $data);
        return $this->db->insert_id();
    }

    function update($data, $id)
    {
        // echo $id; die();
        $this->db->where('id', $id);
        $this->db->update($this->table, $data);
        return '1';
    }

    function delete($id)
    {
        $this->db->where('id', $id);
        $this->db->delete($this->table);
    }

    function deletemd5($id)
    {
        $this->db->where('md5(id)', $id);
        $this->db->delete($this->table);
    }

    function find_by_id($id)
    {
        $this->db->where('md5(id)', $id);
        return $this->db->get($this->table, 1)->row_array();
    }

    function updatemd5($data, $id)
    {
        // echo $id; die();
        $this->db->where('md5(id)', $id);
        $this->db->update($this->table, $data);
    }

    function getUsers($postData = null)
    {

        $response = array();

        ## Read value
        $draw = $postData['draw'];
        $start = $postData['start'];
        $rowperpage = $postData['length']; // Rows display per page
        $columnIndex = $postData['order'][0]['column']; // Column index
        $columnName = $postData['columns'][$columnIndex]['data']; // Column name
        $columnSortOrder = $postData['order'][0]['dir']; // asc or desc
        $searchValue = $postData['search']['value']; // Search value

        // Custom search filter 
        $searchType = $postData['searchType'];
        $searchUser = $postData['searchUser'];
        $searchFrom = $postData['searchFrom'];
        $searchTo = $postData['searchTo'];

        ## Search 
        $search_arr = array();
        $searchQuery = "";
        if ($searchValue != '') {
            $search_arr[] = " (date_time like '%" . $searchValue . "%' or 
			reg_date like '%" . $searchValue . "%' or 
			mob_no like'%" . $searchValue . "%' ) ";
        }
        if ($searchType != '') {
            $search_arr[] = " reg_type='" . $searchType . "' ";
        }

        if ($searchUser != '') {
            $search_arr[] = " user_id='" . $searchUser . "' ";
        }

        // if ($searchFrom != '') {

        // 	$search_arr[] = " bill_date >='" . $searchFrom . "' ";
        // 	$search_arr[] = " bill_date >='" . $searchTo . "' ";


        // }

        if (count($search_arr) > 0) {
            $searchQuery = implode(" and ", $search_arr);
        }



        ## Total number of records without filtering
        $this->db->select('count(*) as allcount');
        $records = $this->db->get($this->table)->result();
        $totalRecords = $records[0]->allcount;

        ## Total number of record with filtering
        $this->db->select('count(*) as allcount');
        if ($searchQuery != '')
            $this->db->where($searchQuery);
        if ($searchFrom != '' && $searchTo != '') {
            $this->db->where('reg_date >=', $searchFrom);
            $this->db->where('reg_date <=', $searchTo);
        }
        $records = $this->db->get($this->table)->result();
        $totalRecordwithFilter = $records[0]->allcount;

        ## Fetch records
        $this->db->select('*');
        if ($searchQuery != '')
            $this->db->where($searchQuery);
        if ($searchFrom != '' && $searchTo != '') {
            $this->db->where('reg_date >=', $searchFrom);
            $this->db->where('reg_date <=', $searchTo);
        }
        $this->db->order_by($columnName, $columnSortOrder);
        $this->db->limit($rowperpage, $start);
        $records = $this->db->get($this->table)->result();

        $data = array();

        foreach ($records as $record) {
            $reg = $record->reg_type;
            if ($reg == "OPD") {
                $reg_type_id = getOpdTypename($record->id_type);
                $amt = '5';
                $link1 = '<a class="btn btn-outline-info btn-sm" title="Print Receipt"
                                                        href="' . site_url('webmaster/genreceiptopd/' . md5($record->id)) . '">
                                                        <i class="ri-printer-line"></i>
                                                    </a>';
                $link2 = '<a class="btn btn-outline-primary btn-sm" title="View Patient Record"
                                                        href="' . site_url('webmaster/viewpatrecordopd/' . md5($record->id)) . '">
                                                        <i class="ri-eye-line"></i>
                                                    </a>';
            } else if ($reg == "IPD") {
                $reg_type_id = getIpdTypename($record->id_type);
                $amt = '0';
                $link1 = '<a class="btn btn-outline-info btn-sm" title="Print Receipt"
                                                        href="' . site_url('webmaster/genreceiptipd/' . md5($record->id)) . '">
                                                        <i class="ri-printer-line"></i>
                                                    </a>';
                $link2 = '<a class="btn btn-outline-primary btn-sm" title="View Patient Record"
                                                        href="' . site_url('webmaster/viewpatrecordipd/' . md5($record->id)) . '">
                                                        <i class="ri-eye-line"></i>
                                                    </a>';
            }
            if ($record->doc_id != "") {
                $d = getDocname($record->doc_id);
                $dn = $d['name'];
            } else {
                $dn = 'N/A';
            }

            $link3 = '<button class="btn btn-outline-danger btn-sm" title="Remove Record"
                                                        onclick="removerecord(' . $record->id . ')">
                                                        <i class="ri-delete-bin-line"></i>
                                                    </button>';


            $data[] = array(
                "id" => $record->id,
                "reg_date" => $record->reg_date,
                "reg_no" => $record->date_time,
                "reg_type" => $record->reg_type,
                "reg_by" => getUsername($record->user_id),
                "reg_type_id" => $reg_type_id,
                "doctor" => $dn,
                "pat_name" => $record->first_name,
                "mob" => $record->mob_no ? $record->mob_no : 'N/A',
                "amt" => $amt,
                "link" => $link1 . ' ' . $link2 . ' ' . $link3,
            );
        }

        ## Response
        $response = array(
            "draw" => intval($draw),
            "iTotalRecords" => $totalRecords,
            "iTotalDisplayRecords" => $totalRecordwithFilter,
            "aaData" => $data
        );

        return $response;
    }




}