<?php
defined('BASEPATH') or exit('No direct scriu access allowed');

class User extends CI_Model
{
	var $table = 'users';

	function find($limit = null, $offset = 0)
	{
		$this->db->select('ug.user_id, u.*, GROUP_CONCAT(g.name) AS groups');
		$this->db->join('groups g', 'ug.group_id=g.id');
		$this->db->join('users u', 'ug.user_id=u.id');
		$this->db->where_in('ug.group_id', array('1', '4', '5'));
		$this->db->group_by('ug.user_id');
		$users = $this->db->get('users_groups ug', $limit, $offset)->result_array();
		return $users;
	}


	function find_users($limit = null, $offset = 0)
	{
		$this->db->select('ug.user_id, u.*, GROUP_CONCAT(g.name) AS groups');
		$this->db->join('groups g', 'ug.group_id=g.id');
		$this->db->join('users u', 'ug.user_id=u.id');
		$this->db->where_not_in('ug.group_id', array('1', '4', '5'));
		$this->db->group_by('ug.user_id');
		$users = $this->db->get('users_groups ug', $limit, $offset)->result_array();
		return $users;
	}

	function create($user)
	{
		$this->db->insert($this->table, $user);
	}

	function update($user, $id)
	{
		$this->db->where('id', $id);
		$this->db->update($this->table, $user);

		return '1';
	}

	function updatemd5($user, $id)
	{
		$this->db->where('md5(id)', $id);
		$this->db->update($this->table, $user);

		return '1';
	}

	function udateplan($data, $id)
	{
		$this->db->where('id', $id);
		$this->db->update($this->table, $data);
		echo $this->db->affected_rows();
	}

	function delete($id)
	{
		$this->db->where('id', $id);
		$this->db->delete($this->table);
	}

	function find_by_id($id)
	{
		$this->db->select('ug.user_id, u.*, GROUP_CONCAT(g.id) AS group_ids,GROUP_CONCAT(g.name) AS groups');
		$this->db->join('groups g', 'ug.group_id=g.id');
		$this->db->join('users u', 'ug.user_id=u.id');
		$this->db->group_by('ug.user_id');
		$this->db->where('u.id', $id);
		return $this->db->get('users_groups ug')->row_array();
	}


	function find_by_username($username)
	{
		$this->db->where('username', $username);
		return $this->db->get($this->table, 1)->row_array();
	}


	function find_by_userid($userid)
	{

		$this->db->where('md5(id)', $userid);
		return $this->db->get($this->table, 1)->row_array();
	}


	function getuserinfo_by_id($id)
	{

		$this->db->where('md5(id)', $id);
		return $this->db->get($this->table, 1)->row_array();
	}

	function getInsertId($email, $username = '')
	{
		$this->db->where('email', $email);
		if ($username) {
			$this->db->where('username', $username);
		}
		$data = $this->db->get($this->table, 1)->row_array();
		return $data['id'];
	}



	function find_list()
	{
		$this->db->select('ug.user_id, u.*, GROUP_CONCAT(g.name) AS groups');
		$this->db->join('groups g', 'ug.group_id=g.id');
		$this->db->join('users u', 'ug.user_id=u.id');
		$this->db->where_not_in('ug.group_id', array('1', '4', '5'));
		$this->db->group_by('ug.user_id');
		$this->db->order_by('u.username', 'asc');
		$query = $this->db->get('users_groups ug');

		$data = array();
		if ($query->num_rows() > 0) {
			foreach ($query->result_array() as $row) {
				$data[$row['id']] = $row['username'];
			}
		}
		return $data;
	}


	function find_list1()
	{

		$this->db->select('ug.user_id, u.*, GROUP_CONCAT(g.name) AS groups');
		$this->db->join('groups g', 'ug.group_id=g.id');
		$this->db->join('users u', 'ug.user_id=u.id');
		$this->db->where_not_in('ug.group_id', array('1', '4', '5'));
		$this->db->group_by('ug.user_id');
		$this->db->order_by('u.username', 'asc');
		$query = $this->db->get('users_groups ug');

		$data = array();
		if ($query->num_rows() > 0) {
			foreach ($query->result_array() as $row) {
				$data[$row['username']] = $row['username'];
			}
		}
		return $data;
	}




}