<?php
defined('BASEPATH') or exit('No direct script access allowed');
require FCPATH . 'vendor/autoload.php';
class Admin extends MY_Controller
{
  function __construct()
  {

    parent::__construct();
    $this->form_validation->set_error_delimiters($this->config->item('error_start_delimiter', 'ion_auth'), $this->config->item('error_end_delimiter', 'ion_auth'));
    $this->lang->load('auth');
    $this->load->library('session');
    $this->load->library('user_agent');
    $this->load->config('ion_auth', TRUE);
    $this->load->library('email');
    $this->load->library('GoogleAuthenticator');
    $this->load->model(array("Customer", "Ion_auth_model", "Doctors", "Opd", "Opd_doctor", "Ipd", "Ipd_doctor", "Patient_registration"));
    $this->lang->load('ion_auth');
    $this->load->helper('url');
    $this->load->library('Email');
    $this->load->helper(array('form', 'url'));

    //$this->load->model(array("Customer","Items","Signature"));

    $this->data['parent_menu'] = 'admin';
    // $this->base_assets_url = 'assets/'.THEMES_DIR.'/'.$this->config->item('traversetelecom_theme').'/';
    // $this->data['base_assets_url'] = BASE_URI.$this->base_assets_url;


  }




  public function index()
  {

    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $this->data['active'] = 'dashboard';
    $this->load_admin('dashboard');
  }



  public function signin()
  {

    $this->load->helper('url');



    $this->form_validation->set_rules('identity', 'Email', 'required');
    $this->form_validation->set_rules('password', 'Password', 'required');
    if ($this->form_validation->run() == true) {

      $remember = (bool) $this->input->post('remember');

      if ($this->ion_auth->login($this->input->post('identity'), $this->input->post('password'), $remember)) {
        $user = $this->ion_auth_model->user($this->session->userdata('user_id'))->row();




        $this->ion_auth_model->login_logs($user->email);
        $user = $this->ion_auth->login($this->input->post('identity'), $this->input->post('password'), $remember);

        $active = $user->active;
        //print_data($active); die();

        if ($remember == 1) {
          $cookie_time = time() + 3600 * 24;
          set_cookie('cook_user', $this->input->post('identity'), $cookie_time);
          set_cookie('cook_pass', $this->input->post('password'), $cookie_time);
          set_cookie('cook', $this->input->post('remember'), $cookie_time);
        } else {
          if (isset($_COOKIE['cook_user']) && !empty($_COOKIE['cook_user'])) {
            $cookie_unset = time() - 3600 * 24;
            set_cookie('cook_user', '', $cookie_unset);
            set_cookie('cook_pass', '', $cookie_unset);
            set_cookie('cook', '', $cookie_unset);
          }
        }

        $this->current_user = $this->User->find_by_id($this->session->userdata('user_id'));

        $this->current_groups = $this->current_groups();

        $this->current_groups_ids = explode(',', $this->current_user['group_ids']);


        redirect('webmaster/dashboard', 'refresh');





      } else {


        $this->session->set_tempdata('message', message_box($this->ion_auth->errors(), 'danger'), 2);
        redirect('home', 'refresh'); //use redirects instead of loading views for compatibility with MY_Controller libraries

      }



    } else {
      redirect('home', 'refresh');
    }


    //Set session for the referrer url
    $this->session->set_userdata('referrer', $this->agent->referrer());
    // $this->load_theme('users/signin', '', '');

    // $this->load->view('themes/'.$this->theme.'/users/signin');

  }



  public function signout()
  {
    $this->load->helper('url');

    $userid = $this->session->userdata('user_id');
    if ($userid != '') {
      $check = $this->Customer->checkUserid($userid);
      $this->ion_auth->logout();
      $this->session->set_tempdata('message', message_box('You have signed out successfully', 'success'), 2);
    } else {
      $check = 1;
      $this->session->set_tempdata('message', message_box('Not allowed to access', 'danger'), 2);
    }

    redirect('home', 'refresh');

    // if ($check == 0) {
    //   redirect('webmaster', 'refresh');
    // } else {
    //   redirect('memberlogin', 'refresh');
    // }


  }

  function activate($id, $code = false)
  {
    $this->load->helper('url');



    if ($code !== false) {

      $activation = $this->ion_auth->activate($id, $code);

    } else if ($this->ion_auth->is_admin()) {

      $activation = $this->ion_auth->activate($id);

    }



    if ($activation) {

      //redirect them to the auth page

      $this->session->set_tempdata('message', message_box($this->ion_auth->messages(), 'success'), 2);

      redirect("login", 'refresh');

    } else {

      //redirect them to the forgot password page

      $this->session->set_flashdata('message', message_box($this->ion_auth->errors(), 'danger'), 2);

      redirect("forgot_password", 'refresh');

    }

  }



  //deactivate the user

  function deactivate($id = NULL)
  {
    $this->load->helper('url');

    $id = (int) $id;



    $this->load->library('form_validation');

    $this->form_validation->set_rules('confirm', $this->lang->line('deactivate_validation_confirm_label'), 'required');

    $this->form_validation->set_rules('id', $this->lang->line('deactivate_validation_user_id_label'), 'required|alpha_numeric');



    if ($this->form_validation->run() == FALSE) {

      // insert csrf check

      $this->data['csrf'] = $this->_get_csrf_nonce();

      $this->data['user'] = $this->ion_auth->user($id)->row();



      $this->_render_page('users/deactivate_user', $this->data);

    } else {

      // do we really want to deactivate?

      if ($this->input->post('confirm') == 'yes') {

        // do we have a valid request?

        if ($this->_valid_csrf_nonce() === FALSE || $id != $this->input->post('id')) {

          show_error($this->lang->line('error_csrf'));

        }



        // do we have the right userlevel?

        if ($this->ion_auth->logged_in() && $this->ion_auth->is_admin()) {

          $this->ion_auth->deactivate($id);

        }

      }



      //redirect them back to the auth page

      redirect('auth', 'refresh');

    }

  }



  //change password

  function change_password()
  {
    $this->load->helper('url');

    $this->form_validation->set_rules('old', $this->lang->line('change_password_validation_old_password_label'), 'required');

    $this->form_validation->set_rules('new', $this->lang->line('change_password_validation_new_password_label'), 'required|min_length[' . $this->config->item('min_password_length', 'ion_auth') . ']|max_length[' . $this->config->item('max_password_length', 'ion_auth') . ']|matches[new_confirm]');

    $this->form_validation->set_rules('new_confirm', $this->lang->line('change_password_validation_new_password_confirm_label'), 'required');

    $this->data['active'] = 'manage';

    if (!$this->ion_auth->logged_in()) {

      redirect("login", 'refresh');
    }



    $user = $this->ion_auth->user()->row();






    if ($this->form_validation->run() == false) {

      //display the form

      //set the flash data error message if there is one

      $this->data['message'] = (validation_errors()) ? validation_errors() : $this->session->flashdata('message');



      $this->data['min_password_length'] = $this->config->item('min_password_length', 'ion_auth');

      $this->data['old_password'] = array(
        'name' => 'old',
        'id' => 'old',
        'type' => 'password',

      );

      $this->data['new_password'] = array(
        'name' => 'new',
        'id' => 'new',
        'type' => 'password',
        'pattern' => '^.{' . $this->data['min_password_length'] . '}.*$',

      );

      $this->data['new_password_confirm'] = array(
        'name' => 'new_confirm',
        'id' => 'new_confirm',
        'type' => 'password',
        'pattern' => '^.{' . $this->data['min_password_length'] . '}.*$',

      );

      $this->data['user_id'] = array(
        'name' => 'user_id',
        'id' => 'user_id',
        'type' => 'hidden',
        'value' => $user->id,

      );



      //render

      $this->load_admin('change_password', $this->data);

      //$this->_render_page('admin/change_password', $this->data);

    } else {

      $identity = $this->session->userdata('identity');



      $change = $this->ion_auth->change_password($identity, $this->input->post('old'), $this->input->post('new'));



      if ($change) {

        //if the password was successfully changed

        $this->session->set_tempdata('message', $this->ion_auth->messages(), 2);

        $this->signout();

      } else {

        $this->session->set_tempdata('message', $this->ion_auth->errors());

        redirect('admin/change_password', 'refresh');

      }

    }

  }



  //forgot password

  function forgot_password()
  {
    $this->load->helper('url');
    $this->form_validation->set_rules('email', $this->lang->line('forgot_password_validation_email_label'), 'required|valid_email');

    if ($this->form_validation->run() == false) {
      //setup the input
      $this->data['email'] = array(
        'name' => 'email',
        'id' => 'email',
      );

      if ($this->config->item('identity', 'ion_auth') == 'username') {
        $this->data['identity_label'] = $this->lang->line('forgot_password_username_identity_label');
      } else {
        $this->data['identity_label'] = $this->lang->line('forgot_password_email_identity_label');
      }

      //set any errors and display the form
      $this->data['message'] = message_box((validation_errors()) ? validation_errors() : $this->session->tempdata('message'), 'error');
      //$this->load_theme('users/forgot_password', false);

      $this->load_theme('users/forgot_password', '', '');
    } else {
      // get identity from username or email
      if ($this->config->item('identity', 'ion_auth') == 'username') {
        $identity = $this->ion_auth->where('username', strtolower($this->input->post('email')))->users()->row();
      } else {
        $identity = $this->ion_auth->where('email', strtolower($this->input->post('email')))->users()->row();
      }

      if (empty($identity)) {
        $this->ion_auth->set_message('forgot_password_email_not_found');
        $this->session->set_tempdata('message', $this->ion_auth->messages());
        redirect("forgot_password", 'refresh');
      }
      //run the forgotten password method to email an activation code to the user
      $forgotten = $this->ion_auth->forgotten_password($identity->{$this->config->item('identity', 'ion_auth')});
      if ($forgotten = 1) {
        //if there were no errors
        $this->session->set_tempdata('message', message_box('Reset password link has been send to your email'), 'success');
        redirect("login", 'refresh'); //we should display a confirmation page here instead of the login page
      } else {
        $this->session->set_tempdata('message', $this->ion_auth->errors());
        redirect("forgot_password", 'refresh');
      }

    }

  }





  //reset password - final step for forgotten password

  public function reset_password($code = NULL)
  {
    $this->load->helper('url');

    if (!$code) {

      show_404();

    }



    $user = $this->ion_auth->forgotten_password_check($code);

    if ($user) {

      //if the code is valid then display the password reset form
      //$this->form_validation->set_rules('new', $this->lang->line('reset_password_validation_new_password_label'), 'required|min_length[' . $this->config->item('min_password_length', 'ion_auth') . ']|max_length[' . $this->config->item('max_password_length', 'ion_auth') . ']|matches[new_confirm]');

      $this->form_validation->set_rules('new', $this->lang->line('reset_password_validation_new_password_label'), 'required|min_length[6]|max_length[' . $this->config->item('max_password_length', 'ion_auth') . ']|matches[new_confirm]');

      $this->form_validation->set_rules('new_confirm', $this->lang->line('reset_password_validation_new_password_confirm_label'), 'required');



      if ($this->form_validation->run() == false) {

        //display the form



        //set the flash data error message if there is one

        $this->data['message'] = (validation_errors()) ? validation_errors() : $this->session->tempdata('message');



        $this->data['min_password_length'] = $this->config->item('min_password_length', 'ion_auth');

        $this->data['new_password'] = array(
          'name' => 'new',
          'id' => 'new',
          'type' => 'password',
          'pattern' => '^.{' . $this->data['min_password_length'] . '}.*$',

        );

        $this->data['new_password_confirm'] = array(
          'name' => 'new_confirm',
          'id' => 'new_confirm',
          'type' => 'password',
          'pattern' => '^.{' . $this->data['min_password_length'] . '}.*$',

        );

        $this->data['user_id'] = array(
          'name' => 'user_id',
          'id' => 'user_id',
          'type' => 'hidden',
          'value' => $user->id,

        );

        $this->data['csrf'] = $this->_get_csrf_nonce();

        $this->data['code'] = $code;




        $this->load_theme('users/reset_password', '', '');

      } else {

        // do we have a valid request?

        if ($this->_valid_csrf_nonce() === FALSE || $user->id != $this->input->post('user_id')) {
          //something fishy might be up
          $this->ion_auth->clear_forgotten_password_code($code);
          show_error($this->lang->line('error_csrf'));

        } else {

          // finally change the password

          $identity = $user->{$this->config->item('identity', 'ion_auth')};
          $change = $this->ion_auth->reset_password($identity, $this->input->post('new'));



          if ($change) {

            //if the password was successfully changed

            $this->session->set_tempdata('message', message_box($this->ion_auth->messages(), 'success'), 2);

            redirect("login", 'refresh');

          } else {

            $this->session->set_tempdata('message', message_box($this->ion_auth->errors(), 'danger'), 2);

            redirect('users/reset_password/' . $code, 'refresh');

          }

        }

      }

    } else {

      //if the code is invalid then send them back to the forgot password page

      $this->session->set_tempdata('message', $this->ion_auth->errors(), 2);

      redirect("users/forgot_password", 'refresh');

    }

  }


  function _get_csrf_nonce()
  {
    $this->load->helper('string');

    $key = random_string('alnum', 8);

    $value = random_string('alnum', 20);

    $this->session->set_flashdata('csrfkey', $key);

    $this->session->set_flashdata('csrfvalue', $value);



    return array($key => $value);

  }



  function _valid_csrf_nonce()
  {

    if (
      $this->input->post($this->session->flashdata('csrfkey')) !== FALSE &&

      $this->input->post($this->session->flashdata('csrfkey')) == $this->session->flashdata('csrfvalue')
    ) {

      return TRUE;

    } else {

      return FALSE;

    }

  }

  function dashboard()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $date = date('Y-m-d');

    //$this->data['data'] = $this->invoice->findToday($date);

    $this->data['active'] = 'dashboard';
    $this->load_admin('dashboard');

  }

  function opd_patient_registration()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    $date = date('Y-m-d');
    $this->data['data'] = $this->Patient_registration->findToday($date, 'OPD', '');
    $this->data['active'] = 'patregister';
    $this->data['subactive'] = 'opdpatregister';
    $this->load_admin('opdpatregister');
  }

  function viewpatrecordopd($id)
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    $this->data['data'] = $this->Patient_registration->find_by_id($id);
    $this->data['active'] = 'patregister';
    $this->data['subactive'] = 'opdpatregister';
    $this->load_admin('viewpatrecordopd');
  }

  public function opdpatientregitration()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    $this->form_validation->set_rules('f_name', 'First name', 'required');
    if ($this->form_validation->run() == true) {

      $additional_data = array(
        'first_name' => $this->input->post('f_name'),
        'date_of_birth' => $this->input->post('d_o_b'),
        'age_year' => $this->input->post('year'),
        'age_month' => $this->input->post('month'),
        'age_day' => $this->input->post('days'),
        'gender' => $this->input->post('gender'),
        'm_status' => $this->input->post('m_status'),
        'mob_no' => $this->input->post('mob_no'),
        'f_s_name' => $this->input->post('f_s_name'),
        'address' => $this->input->post('address'),
        'id_type' => $this->input->post('opd_type'),
        'doc_id' => $this->input->post('opd_doc'),
        'user_id' => $this->session->userdata('user_id'),
        'reg_type' => "OPD",
        'date_time' => time(),
        'reg_date' => $this->input->post('reg_date'),
      );

      $last_id = $this->Patient_registration->create($additional_data);
      $link = 'webmaster/genreceiptopd/' . md5($last_id);
      redirect($link, 'refresh');
    }

  }

  public function removepatrecord()
  {
    $id = $this->input->post('id');
    $this->Patient_registration->delete($id);
    $this->session->set_tempdata('message', message_box('Patient Record removed Successfully', 'danger'), 2);
  }



  public function genreceiptopd($id)
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $this->data['active'] = 'patregister';
    $this->data['subactive'] = 'opdpatregister';
    $this->data['data'] = $id;

    $this->load_admin('genreceiptopd');
  }

  public function printopd($id)
  {
    $data['data'] = $this->Patient_registration->find_by_id($id);


    $mpdf = new \Mpdf\Mpdf([
      'mode' => 'utf-8',
      'format' => 'A5-P',
      'orientation' => 'P',
      'margin_left' => 5,
      'margin_right' => 5,
      'margin_top' => 0,
      'margin_bottom' => 0,
    ]);





    $html = $this->load->view('admin/default/testopd', $data, true);

    $mpdf->WriteHTML($html);
    $mpdf->Output();
  }

  public function test()
  {
    $this->load->view('admin/default/test1', [], '');
  }


  function ipd_patient_registration()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    $date = date('Y-m-d');
    $this->data['data'] = $this->Patient_registration->findToday($date, 'IPD', '');
    $this->data['active'] = 'patregister';
    $this->data['subactive'] = 'ipdpatregister';
    $this->load_admin('ipdpatregister');
  }

  public function ipdpatientregitration()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    $this->form_validation->set_rules('f_name', 'First name', 'required');
    if ($this->form_validation->run() == true) {

      $additional_data = array(
        'first_name' => $this->input->post('f_name'),
        'date_of_birth' => $this->input->post('d_o_b'),
        'age_year' => $this->input->post('year'),
        'age_month' => $this->input->post('month'),
        'age_day' => $this->input->post('days'),
        'gender' => $this->input->post('gender'),
        'm_status' => $this->input->post('m_status'),
        'mob_no' => $this->input->post('mob_no'),
        'f_s_name' => $this->input->post('f_s_name'),
        'address' => $this->input->post('address'),
        'id_type' => $this->input->post('ipd_type'),
        'doc_id' => $this->input->post('ipd_doc'),
        'user_id' => $this->session->userdata('user_id'),
        'reg_type' => "IPD",
        'date_time' => time(),
        'reg_date' => $this->input->post('reg_date'),
      );

      $last_id = $this->Patient_registration->create($additional_data);
      $link = 'webmaster/genreceiptipd/' . md5($last_id);
      redirect($link, 'refresh');
    }

  }

  function viewpatrecordipd($id)
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    $this->data['data'] = $this->Patient_registration->find_by_id($id);
    $this->data['active'] = 'patregister';
    $this->data['subactive'] = 'ipdpatregister';
    $this->load_admin('viewpatrecordipd');
  }

  public function genreceiptipd($id)
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $this->data['active'] = 'patregister';
    $this->data['subactive'] = 'ipdpatregister';
    $this->data['data'] = $id;

    $this->load_admin('genreceiptipd');
  }

  public function printipd($id)
  {
    $data['data'] = $this->Patient_registration->find_by_id($id);


    $mpdf = new \Mpdf\Mpdf([
      'mode' => 'utf-8',
      'format' => 'A5-P',
      'orientation' => 'P',
      'margin_left' => 5,
      'margin_right' => 5,
      'margin_top' => 0,
      'margin_bottom' => 0,
    ]);





    $html = $this->load->view('admin/default/testipd', $data, true);

    $mpdf->WriteHTML($html);
    $mpdf->Output();
  }

  public function patientreport()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    //$this->data['data'] = $this->invoice->findToday($date);
    $this->data['active'] = 'patientreport';
    //$this->data['data'] = $this->Doctors->findAll();
    $this->load_admin('patientreport');
  }

  public function reportList()
  {

    // POST data
    $postData = $this->input->post();

    // Get data
    $data = $this->Patient_registration->getUsers($postData);

    echo json_encode($data);
  }

  public function managedoc()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    $this->form_validation->set_rules('fullname', 'Full name', 'required');
    if ($this->form_validation->run() == true) {


      $additional_data = array(
        'name' => $this->input->post('fullname'),
        'qualification' => $this->input->post('qualification'),
        'gender' => $this->input->post('gender'),
        'mob_no' => $this->input->post('mob_num'),
        'email' => $this->input->post('emailid'),
        'marital_status' => $this->input->post('m_status'),
        'address' => $this->input->post('address'),
        'date_time' => time(),
      );

      $this->Doctors->create($additional_data);
      $this->session->set_tempdata('message', message_box('New Doctor added successfully', 'success'), 2);





    }

    //$this->data['data'] = $this->invoice->findToday($date);
    $this->data['active'] = 'managedoc';
    $this->data['data'] = $this->Doctors->findAll();
    $this->load_admin('managedoc');
  }

  public function viewdoctor($id)
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $this->form_validation->set_rules('fullname', 'Full name', 'required');
    if ($this->form_validation->run() == true) {


      $additional_data = array(
        'name' => $this->input->post('fullname'),
        'qualification' => $this->input->post('qualification'),
        'gender' => $this->input->post('gender'),
        'mob_no' => $this->input->post('mob_num'),
        'email' => $this->input->post('emailid'),
        'marital_status' => $this->input->post('m_status'),
        'address' => $this->input->post('address'),
        'date_time' => time(),
      );

      $this->Doctors->updatemd5($additional_data, $id);
      $this->session->set_tempdata('message', message_box('Doctor details updated successfully', 'success'), 2);





    }

    $this->data['active'] = 'managedoc';
    $this->data['data'] = $this->Doctors->find_by_id($id);
    $this->load_admin('viewdoctor');
  }

  public function manageopd()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    $this->data['active'] = 'OPD';
    $this->data['data'] = $this->Opd->findAll();
    $this->load_admin('manageopd');
  }

  public function addopd()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $this->form_validation->set_rules('opd_type', 'OPD Type', 'required');
    if ($this->form_validation->run() == true) {
      $additional_data = array(
        'opd_type' => $this->input->post('opd_type'),
        'date_time' => time(),
      );
      $this->Opd->create($additional_data);
      $this->session->set_tempdata('message', message_box('OPD Type created successfully', 'success'), 2);
      redirect('webmaster/manageopd', 'refresh');

    }
  }

  public function adddoctoopd()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $this->form_validation->set_rules('opd_type', 'OPD Type', 'required');
    if ($this->form_validation->run() == true) {

      $check = $this->Opd_doctor->checkopd($this->input->post('opd_type'), $this->input->post('doc_type'));
      if ($check >= 1) {
        $this->session->set_tempdata('message', message_box('Doctor already Added to this OPD Type', 'danger'), 2);
      } else {
        $additional_data = array(
          'opd_id' => $this->input->post('opd_type'),
          'doc_id' => $this->input->post('doc_type'),
        );
        $this->Opd_doctor->create($additional_data);
        $this->session->set_tempdata('message', message_box('Doctor Added to OPD Type successfully', 'success'), 2);
      }

      redirect('webmaster/manageopd', 'refresh');

    }
  }

  public function removedocopd()
  {
    $id = $this->input->post('id');
    $this->Opd_doctor->delete($id);
    $this->session->set_tempdata('message', message_box('Doctor removed from OPD Type Successfully', 'danger'), 2);
  }



  public function manageipd()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    $this->data['active'] = 'IPD';
    $this->data['data'] = $this->Ipd->findAll();
    $this->load_admin('manageipd');
  }

  public function addipd()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $this->form_validation->set_rules('ipd_type', 'IPD Type', 'required');
    if ($this->form_validation->run() == true) {
      $additional_data = array(
        'ipd_type' => $this->input->post('ipd_type'),
        'date_time' => time(),
      );
      $this->Ipd->create($additional_data);
      $this->session->set_tempdata('message', message_box('IPD Type created successfully', 'success'), 2);
      redirect('webmaster/manageipd', 'refresh');

    }
  }

  public function adddictoopd()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $this->form_validation->set_rules('ipd_type', 'IPD Type', 'required');
    if ($this->form_validation->run() == true) {

      $check = $this->Ipd_doctor->checkipd($this->input->post('ipd_type'), $this->input->post('doc_type'));
      if ($check >= 1) {
        $this->session->set_tempdata('message', message_box('Doctor already Added to this IPD Type', 'danger'), 2);
      } else {
        $additional_data = array(
          'ipd_id' => $this->input->post('ipd_type'),
          'doc_id' => $this->input->post('doc_type'),
        );
        $this->Ipd_doctor->create($additional_data);
        $this->session->set_tempdata('message', message_box('Doctor Added to IPD Type successfully', 'success'), 2);
      }

      redirect('webmaster/manageipd', 'refresh');

    }
  }

  public function removedocipd()
  {
    $id = $this->input->post('id');
    $this->Ipd_doctor->delete($id);
    $this->session->set_tempdata('message', message_box('Doctor removed from IPD Type Successfully', 'danger'), 2);
  }

  public function getOPDDoc()
  {

    $doc = array();
    $opd_id = $this->input->post('opd_id');
    if ($opd_id) {
      $docs = getOpdDoctors($opd_id);
      foreach ($docs as $doctor) {
        $list = array();
        $d = getDocname($doctor['doc_id']);
        $list['id'] = $doctor['doc_id'];
        $list['name'] = $d['name'];
        array_push($doc, $list);
      }

    }
    echo json_encode($doc);
  }

  public function getIPDDoc()
  {

    $doc = array();
    $opd_id = $this->input->post('ipd_id');
    if ($opd_id) {
      $docs = getIpdDoctors($opd_id);
      foreach ($docs as $doctor) {
        $list = array();
        $d = getDocname($doctor['doc_id']);
        $list['id'] = $doctor['doc_id'];
        $list['name'] = $d['name'];
        array_push($doc, $list);
      }

    }
    echo json_encode($doc);
  }

  public function getUsers()
  {

    $doc = array();
    $id = $this->input->post('id');
    if ($id) {
      $docs = getUsers($id);
      foreach ($docs as $doctor) {
        $list = array();
        $list['id'] = $doctor['id'];
        $list['name'] = $doctor['full_name'];
        array_push($doc, $list);
      }

    }
    echo json_encode($doc);
  }


  public function manage_subadmin()
  {

    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $this->data['active'] = 'subadmin';
    $this->data['subactive'] = 'manage_subadmin';
    $this->load_admin('managesubadmin');
  }

  public function addsubadmin()
  {

    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    $tables = $this->config->item('tables', 'ion_auth');
    $this->form_validation->set_rules('fullname', 'Full name', 'required');
    $this->form_validation->set_rules('emailid', $this->lang->line('create_user_validation_email_label'), 'required|valid_email|is_unique[' . $tables['users'] . '.email]');
    if ($this->form_validation->run() == true) {


      $GoogleAuth = new GoogleAuthenticator();
      $username = rand(1, 9) . $GoogleAuth->getDigitCode($GoogleAuth->createSecret(32), 9);
      $email = strtolower($this->input->post('emailid'));
      $password = $this->input->post('password');

      $config['upload_path'] = './assets/uploads/';
      $config['allowed_types'] = 'jpeg|jpg|png';
      $config['max_size'] = 100;
      // $config['max_width'] = 1024;
      // $config['max_height'] = 768;

      $this->load->library('upload', $config);
      $this->upload->initialize($config);

      if ($this->upload->do_upload('imageUpload')) {
        $data = array('upload_data' => $this->upload->data());

        $additional_data = array(
          'username' => $username,
          'password' => $this->input->post('password'),
          'email' => $this->input->post('email'),
          'user_type' => '1',
          'full_name' => $this->input->post('fullname'),
          'mobile_number' => $this->input->post('mob_number'),
          'registration_type' => $this->input->post('reg_type'),
          'designation' => $this->input->post('desig'),
          'gender' => $this->input->post('selectGenderOptions'),
          'address' => $this->input->post('address'),
          'profile_path' => $data['upload_data']['file_name'],
        );

        $groups = array(3);
        $this->ion_auth->register($username, $password, $email, $additional_data, $groups);
        $this->session->set_tempdata('message', message_box('New Sub-admin created successfully, Please Activate Account', 'success'), 2);
      } else {
        $error = array('error' => $this->upload->display_errors());
        $this->session->set_tempdata('message', message_box($error['error'], 'error'), 2);

      }





    }

    $this->data['active'] = 'subadmin';
    $this->data['subactive'] = 'addsubadmin';
    $this->load_admin('addsubadmin');
  }

  public function getUserList()
  {
    $users = $this->Customer->finduserList();
    $json_data['data'] = $users;
    echo json_encode($json_data);
  }

  public function updatesubadmin($id)
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    $this->form_validation->set_rules('fullname', 'Full name', 'required');
    if ($this->form_validation->run() == true) {
      if (empty($_FILES['imageUpload']['tmp_name']) || !is_uploaded_file($_FILES['imageUpload']['tmp_name'])) {
        $additional_data = array(
          'full_name' => $this->input->post('fullname'),
          'mobile_number' => $this->input->post('mob_number'),
          'registration_type' => $this->input->post('reg_type'),
          'designation' => $this->input->post('desig'),
          'gender' => $this->input->post('selectGenderOptions'),
          'address' => $this->input->post('address'),
        );

        $this->User->updatemd5($additional_data, $id);
        $this->session->set_tempdata('message', message_box('Sub-admin updated Successfully', 'success'), 2);

      } else {


        $unlinkpath = './assets/uploads/' . $this->input->post('old_img_path');
        $config['upload_path'] = './assets/uploads/';
        $config['allowed_types'] = 'jpeg|jpg|png';
        $config['max_size'] = 100;
        // $config['max_width'] = 1024;
        // $config['max_height'] = 768;

        $this->load->library('upload', $config);
        $this->upload->initialize($config);

        if ($this->upload->do_upload('imageUpload')) {

          $data = array('upload_data' => $this->upload->data());

          unlink($unlinkpath);

          $additional_data = array(
            'full_name' => $this->input->post('fullname'),
            'mobile_number' => $this->input->post('mob_number'),
            'registration_type' => $this->input->post('reg_type'),
            'designation' => $this->input->post('desig'),
            'gender' => $this->input->post('selectGenderOptions'),
            'address' => $this->input->post('address'),
            'profile_path' => $data['upload_data']['file_name'],
          );
          $this->User->updatemd5($additional_data, $id);
          $this->session->set_tempdata('message', message_box('Sub-admin updated Successfully', 'success'), 2);
        } else {
          $error = array('error' => $this->upload->display_errors());
          $this->session->set_tempdata('message', message_box($error['error'], 'error'), 2);

        }

      }
    }

    $this->data['active'] = 'subadmin';
    $this->data['subactive'] = 'manage_subadmin';
    $this->data['data'] = $this->User->find_by_userid($id);
    $this->load_admin('updatesubadmin');

  }

  public function updatesubadminpassword($id)
  {
    if (!$this->ion_auth->logged_in()) {
      redirect('signout');
    }

    $this->form_validation->set_rules('new', $this->lang->line('change_password_validation_new_password_label'), 'required|min_length[' . $this->config->item('min_password_length', 'ion_auth') . ']|max_length[' . $this->config->item('max_password_length', 'ion_auth') . ']|matches[new_confirm]');

    $this->form_validation->set_rules('new_confirm', $this->lang->line('change_password_validation_new_password_confirm_label'), 'required');
    $user = $this->ion_auth->user()->row();
    if ($this->form_validation->run() == true) {

      $identity = $this->input->post('identity');





      $change = $this->ion_auth->change_password_by_admin($identity, $this->input->post('new'));



      if ($change) {



        //if the password was successfully changed
        $success = $this->ion_auth->messages();
        $this->session->set_tempdata('message', message_box($success, 'success'), 2);
        //$this->session->set_tempdata('message', $this->ion_auth->messages(), 2);


      } else {

        $error = $this->ion_auth->errors();
        $this->session->set_tempdata('message', message_box($error['error'], 'error'), 2);


      }


    }



    $this->data['active'] = 'subadmin';
    $this->data['subactive'] = 'manage_subadmin';
    $this->data['data'] = $this->User->find_by_userid($id);
    $this->load_admin('updatesubadminpassword');

  }


  public function updatesubadminstatus()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $id = $this->input->post('id');
    $st = $this->input->post('st');
    if ($st == '0') {
      $active = '1';

    } else if ($st == '1') {
      $active = '0';
    }
    $additional_data = array(
      'active' => $active,
    );
    $this->User->updatemd5($additional_data, md5($id));
    $this->session->set_tempdata('message', message_box('Sub-admin status updated Successfully', 'success'), 2);
    redirect('webmaster/units', 'refresh');
  }

  public function updateLogStatustime()
  {
    $identity = $this->session->userdata('identity');
    $time = time();
    $additional_data = array(
      'lstatus' => $time,
    );
    $this->Customer->update_by_email($additional_data, md5($identity));
  }

  public function opdregistrationweb()
  {

    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $this->data['active'] = 'reg';
    $this->data['subactive'] = 'opd_reg';
    $this->load_admin('opdregistrationweb');
  }





  public function support()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $this->data['active'] = 'support';
    // $this->data['data'] = $this->items->findAll();
    $this->load_admin('support');
  }




}