<?php
defined('BASEPATH') or exit('No direct script access allowed');
class Users extends MY_Controller
{
  function __construct()
  {

    parent::__construct();
    $this->form_validation->set_error_delimiters($this->config->item('error_start_delimiter', 'ion_auth'), $this->config->item('error_end_delimiter', 'ion_auth'));
    $this->lang->load('auth');
    $this->load->library('session');
    $this->load->library('user_agent');
    $this->load->config('ion_auth', TRUE);
    $this->load->library('email');
    $this->load->library('GoogleAuthenticator');
    $this->lang->load('ion_auth');
    $this->load->helper('url');
    $this->load->library('Email');
    $this->load->model(array("Customer", "contact"));
    $this->load->helper('url', 'form');
    $this->load->library("pagination");
    $this->data['parent_menu'] = 'users';
    $this->base_assets_url = 'assets/' . THEMES_DIR . '/' . $this->config->item('traversetelecom_theme') . '/';
    $this->data['base_assets_url'] = BASE_URI . $this->base_assets_url;
  }


  public function login_redirect()
  {
    redirect('users/dashboard', 'refresh');
  }


  public function signin()
  {

    $this->load->helper('url');
    if ($this->ion_auth->logged_in()) {

      $this->session->set_tempdata('message', message_box("Not allowed to access", 'danger'), 2);
      $this->login_redirect();


    }

    $this->form_validation->set_rules('identity', 'Email', 'required');
    $this->form_validation->set_rules('password', 'Password', 'required');
    if ($this->form_validation->run() == true) {
      $chk = $this->Customer->checkUsertype($this->input->post('identity'));

      if ($chk == 0) {

        $this->session->set_tempdata('message', message_box('Invalid Login', 'danger'), 2);
        redirect('login', 'refresh');

      } else {

        $chk1 = $this->Customer->checkUserLogin($this->input->post('identity'));
        if ($chk1 == 1) {
          $lnk = '<a target="_blank" href="' . site_url('/') . 'contact-us">Support</a>';
          $this->session->set_tempdata('message', message_box('Sorry! Account not active, Please contact ' . $lnk, 'danger'), 2);
          redirect('login', 'refresh');
        } else {


          $remember = (bool) $this->input->post('remember');

          if ($this->ion_auth->login($this->input->post('identity'), $this->input->post('password'), $remember)) {
            $user = $this->ion_auth_model->user($this->session->userdata('user_id'))->row();




            $this->ion_auth_model->login_logs($user->email);
            $user = $this->ion_auth->login($this->input->post('identity'), $this->input->post('password'), $remember);

            $active = $user->active;
            //print_data($active); die();

            if ($remember == 1) {
              $cookie_time = time() + 3600 * 24;
              set_cookie('cook_user', $this->input->post('identity'), $cookie_time);
              set_cookie('cook_pass', $this->input->post('password'), $cookie_time);
              set_cookie('cook', $this->input->post('remember'), $cookie_time);
            } else {
              if (isset($_COOKIE['cook_user']) && !empty($_COOKIE['cook_user'])) {
                $cookie_unset = time() - 3600 * 24;
                set_cookie('cook_user', '', $cookie_unset);
                set_cookie('cook_pass', '', $cookie_unset);
                set_cookie('cook', '', $cookie_unset);
              }
            }

            $this->current_user = $this->User->find_by_id($this->session->userdata('user_id'));

            $this->current_groups = $this->current_groups();

            $this->current_groups_ids = explode(',', $this->current_user['group_ids']);


            redirect('users/dashboard', 'refresh');





          } else {


            $this->session->set_tempdata('message', message_box($this->ion_auth->errors(), 'danger'), 2);
            redirect('login', 'refresh'); //use redirects instead of loading views for compatibility with MY_Controller libraries

          }
        }
      }
    }


    $this->load_theme('users/login', 'layout', '');
  }




  function dashboard()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $this->data['active'] = 'dashboard';
    $this->load_admin('dashboard');

  }


  function requestreport()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    $this->form_validation->set_rules('pat_name', 'Patient name', 'required');
    if ($this->form_validation->run() == true) {
      $userid = $this->session->userdata('user_id');
      $commaList = implode(',', $_POST['investigantion']);
      $username = 'ST' . rand(10000000, 99999999);
      $array = array(
        'user_id' => $userid,
        'patient_name' => $this->input->post('pat_name'),
        'gender' => $this->input->post('gender'),
        'age' => $this->input->post('age'),
        'weight' => $this->input->post('weight'),
        'f_h_name' => $this->input->post('f_h_name'),
        'mobile_no' => $this->input->post('mobile_no'),
        'address' => $this->input->post('address'),
        'investigations' => $commaList,
        'created_date_time' => date('Y-m-d H:i:s', time()),
        'current_status' => 'Pending',
        'status_changed_time' => date('Y-m-d H:i:s', time()),
        'report_id' => $username,
        'ip_address' => getUserIP(),
        'user_agent' => $this->agent->browser(),
      );
      $this->patientrequest->create($array);
      $this->session->set_tempdata('message', message_box('Patient Report Requested Successfully', 'success'), 2);

    }
    $this->data['active'] = 'reqreport';
    $this->load_admin('requestreport');

  }


  function viewreports()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $this->data['collapse'] = 'collapse';
    $this->data['active'] = 'viewreports';
    $userid = $this->session->userdata('user_id');

    $this->data['pat'] = $this->patientrequest->findbyuserid($userid);
    $this->load_admin('viewreports');
  }

  function viewdoc($id)
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $this->data['collapse'] = 'collapse';
    $this->data['active'] = 'viewreports';
    $this->data['rep'] = $this->Reports->find_by_id($id);
    $this->load_admin('viewdoc');
  }

  function viewreport($id)
  {

    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $this->data['active'] = 'viewreports';
    $this->data['pat'] = $this->patientrequest->find_by_id($id);

    $this->data['Report'] = $this->Reports->findbyrepid($id);

    //print_data($this->data['Report']);

    $this->load_admin('viewreport');
  }




  function thankyou()
  {
    $this->load_theme('users/thankyou', 'layout', '');
  }



  function signup()
  {
    $tables = $this->config->item('tables', 'ion_auth');
    //	$this->form_validation->set_rules('full_name', $this->lang->line('create_user_validation_full_name_label'), 'required');
    $this->form_validation->set_rules('password', $this->lang->line('create_user_validation_password_label'), 'required');
    $this->form_validation->set_rules('email', $this->lang->line('create_user_validation_email_label'), 'required|valid_email|is_unique[' . $tables['users'] . '.email]');

    $this->form_validation->set_error_delimiters('', '<br/>');

    if ($this->form_validation->run() == true) {

      $GoogleAuth = new GoogleAuthenticator();
      $username = rand(1, 9) . $GoogleAuth->getDigitCode($GoogleAuth->createSecret(32), 9);
      $email = strtolower($this->input->post('email'));
      $password = $this->input->post('password');


      $additional_data = array(
        'username' => $username,
        'password' => $this->input->post('password'),
        'email' => $this->input->post('email'),
        'user_type' => '1',
        'f_name' => $this->input->post('f_name'),
      );

      $groups = array(3);
      $this->ion_auth->register($username, $password, $email, $additional_data, $groups);
      // $this->send_verification_codes($this->input->post('email'));
      redirect('verify');
    }

    $this->load_theme('users/signup', 'layout', '');
  }

  function terms()
  {
    $this->data['active'] = 'terms';
    $this->data['title'] = 'Terms & Condition';
    $this->load_theme('users/terms', 'layout', '');
  }

  function about_us()
  {
    $this->data['active'] = 'about_us';
    $this->data['title'] = 'About Us';
    $this->load_theme('users/about_us', 'layout', '');
  }

  function services()
  {
    $this->data['active'] = 'services';
    $this->data['title'] = 'Services';
    $this->load_theme('users/services', 'layout', '');
  }


  function projects()
  {
    $this->data['active'] = 'projects';
    $this->data['title'] = 'Projects';
    $this->load_theme('users/projects', 'layout', '');
  }

  function privacy()
  {
    $this->data['active'] = 'privacy';
    $this->data['title'] = 'Privacy-Policy';
    $this->load_theme('users/privacy', 'layout', '');
  }

  function refund()
  {
    $this->data['active'] = 'refund';
    $this->data['title'] = 'Refund';
    $this->load_theme('users/refund', 'layout', '');
  }

  function contact()
  {
    $this->data['active'] = 'contacts';
    $this->data['title'] = 'Contact-us';
    $this->data['contact_data'] = $this->contact->find_by_id(md5(1));
    $this->load_theme('users/contacts', 'layout', '');
  }


  function checkemail()
  {
    $number = $this->input->post('number');
    $result = $this->Customer->checkemail($number);
    if (!empty($result)) {
      echo '1';

    } else {
      echo '0';
    }
  }


  function verifyaccount()
  {

    $this->load_theme('users/verifyaccount', 'layout', '');
  }


  public function signout()
  {
    $this->load->helper('url');
    $this->ion_auth->logout();
    $this->session->set_tempdata('message', message_box('You have signed out successfully', 'success'), 2);
    redirect('home', 'refresh');

  }

  function activate($id, $code = false)
  {
    $this->load->helper('url');



    if ($code !== false) {

      $activation = $this->ion_auth->activate($id, $code);

    } else if ($this->ion_auth->is_admin()) {

      $activation = $this->ion_auth->activate($id);

    }



    if ($activation) {

      //redirect them to the auth page

      $this->session->set_tempdata('message', message_box($this->ion_auth->messages(), 'success'), 2);

      redirect("login", 'refresh');

    } else {

      //redirect them to the forgot password page

      $this->session->set_flashdata('message', message_box($this->ion_auth->errors(), 'danger'), 2);

      redirect("forgot_password", 'refresh');

    }

  }



  //deactivate the user

  function deactivate($id = NULL)
  {
    $this->load->helper('url');

    $id = (int) $id;



    $this->load->library('form_validation');

    $this->form_validation->set_rules('confirm', $this->lang->line('deactivate_validation_confirm_label'), 'required');

    $this->form_validation->set_rules('id', $this->lang->line('deactivate_validation_user_id_label'), 'required|alpha_numeric');



    if ($this->form_validation->run() == FALSE) {

      // insert csrf check

      $this->data['csrf'] = $this->_get_csrf_nonce();

      $this->data['user'] = $this->ion_auth->user($id)->row();



      $this->_render_page('users/deactivate_user', $this->data);

    } else {

      // do we really want to deactivate?

      if ($this->input->post('confirm') == 'yes') {

        // do we have a valid request?

        if ($this->_valid_csrf_nonce() === FALSE || $id != $this->input->post('id')) {

          show_error($this->lang->line('error_csrf'));

        }



        // do we have the right userlevel?

        if ($this->ion_auth->logged_in() && $this->ion_auth->is_admin()) {

          $this->ion_auth->deactivate($id);

        }

      }



      //redirect them back to the auth page

      redirect('auth', 'refresh');

    }

  }



  //change password

  function change_password()
  {
    $this->load->helper('url');

    $this->form_validation->set_rules('old', $this->lang->line('change_password_validation_old_password_label'), 'required');

    $this->form_validation->set_rules('new', $this->lang->line('change_password_validation_new_password_label'), 'required|min_length[' . $this->config->item('min_password_length', 'ion_auth') . ']|max_length[' . $this->config->item('max_password_length', 'ion_auth') . ']|matches[new_confirm]');

    $this->form_validation->set_rules('new_confirm', $this->lang->line('change_password_validation_new_password_confirm_label'), 'required');



    if (!$this->ion_auth->logged_in()) {

      redirect('users/login', 'refresh');

    }



    $user = $this->ion_auth->user()->row();



    if ($this->form_validation->run() == false) {

      //display the form

      //set the flash data error message if there is one

      $this->data['message'] = (validation_errors()) ? validation_errors() : $this->session->flashdata('message');



      $this->data['min_password_length'] = $this->config->item('min_password_length', 'ion_auth');

      $this->data['old_password'] = array(
        'name' => 'old',
        'id' => 'old',
        'type' => 'password',

      );

      $this->data['new_password'] = array(
        'name' => 'new',
        'id' => 'new',
        'type' => 'password',
        'pattern' => '^.{' . $this->data['min_password_length'] . '}.*$',

      );

      $this->data['new_password_confirm'] = array(
        'name' => 'new_confirm',
        'id' => 'new_confirm',
        'type' => 'password',
        'pattern' => '^.{' . $this->data['min_password_length'] . '}.*$',

      );

      $this->data['user_id'] = array(
        'name' => 'user_id',
        'id' => 'user_id',
        'type' => 'hidden',
        'value' => $user->id,

      );



      //render

      $this->_render_page('users/change_password', $this->data);

    } else {

      $identity = $this->session->userdata('identity');



      $change = $this->ion_auth->change_password($identity, $this->input->post('old'), $this->input->post('new'));



      if ($change) {

        //if the password was successfully changed

        $this->session->set_tempdata('message', $this->ion_auth->messages(), 2);

        $this->logout();

      } else {

        $this->session->set_tempdata('message', $this->ion_auth->errors());

        redirect('users/change_password', 'refresh');

      }

    }

  }



  //forgot password

  function forgot_password()
  {
    $this->load->helper('url');
    $this->form_validation->set_rules('email', $this->lang->line('forgot_password_validation_email_label'), 'required|valid_email');

    if ($this->form_validation->run() == false) {
      //setup the input
      $this->data['email'] = array(
        'name' => 'email',
        'id' => 'email',
      );

      if ($this->config->item('identity', 'ion_auth') == 'username') {
        $this->data['identity_label'] = $this->lang->line('forgot_password_username_identity_label');
      } else {
        $this->data['identity_label'] = $this->lang->line('forgot_password_email_identity_label');
      }

      //set any errors and display the form
      $this->data['message'] = message_box((validation_errors()) ? validation_errors() : $this->session->tempdata('message'), 'error');
      //$this->load_theme('users/forgot_password', false);

      $this->load_theme('users/forgot_password', '', '');
    } else {
      // get identity from username or email
      if ($this->config->item('identity', 'ion_auth') == 'username') {
        $identity = $this->ion_auth->where('username', strtolower($this->input->post('email')))->users()->row();
      } else {
        $identity = $this->ion_auth->where('email', strtolower($this->input->post('email')))->users()->row();
      }

      if (empty($identity)) {
        $this->ion_auth->set_message('forgot_password_email_not_found');
        $this->session->set_tempdata('message', $this->ion_auth->messages());
        redirect("forgot_password", 'refresh');
      }
      //run the forgotten password method to email an activation code to the user
      $forgotten = $this->ion_auth->forgotten_password($identity->{$this->config->item('identity', 'ion_auth')});
      if ($forgotten = 1) {
        //if there were no errors
        $this->session->set_tempdata('message', message_box('Reset password link has been send to your email'), 'success');
        redirect("login", 'refresh'); //we should display a confirmation page here instead of the login page
      } else {
        $this->session->set_tempdata('message', $this->ion_auth->errors());
        redirect("forgot_password", 'refresh');
      }

    }

  }





  //reset password - final step for forgotten password

  public function reset_password($code = NULL)
  {
    $this->load->helper('url');

    if (!$code) {

      show_404();

    }



    $user = $this->ion_auth->forgotten_password_check($code);

    if ($user) {

      //if the code is valid then display the password reset form
      //$this->form_validation->set_rules('new', $this->lang->line('reset_password_validation_new_password_label'), 'required|min_length[' . $this->config->item('min_password_length', 'ion_auth') . ']|max_length[' . $this->config->item('max_password_length', 'ion_auth') . ']|matches[new_confirm]');

      $this->form_validation->set_rules('new', $this->lang->line('reset_password_validation_new_password_label'), 'required|min_length[6]|max_length[' . $this->config->item('max_password_length', 'ion_auth') . ']|matches[new_confirm]');

      $this->form_validation->set_rules('new_confirm', $this->lang->line('reset_password_validation_new_password_confirm_label'), 'required');



      if ($this->form_validation->run() == false) {

        //display the form



        //set the flash data error message if there is one

        $this->data['message'] = (validation_errors()) ? validation_errors() : $this->session->tempdata('message');



        $this->data['min_password_length'] = $this->config->item('min_password_length', 'ion_auth');

        $this->data['new_password'] = array(
          'name' => 'new',
          'id' => 'new',
          'type' => 'password',
          'pattern' => '^.{' . $this->data['min_password_length'] . '}.*$',

        );

        $this->data['new_password_confirm'] = array(
          'name' => 'new_confirm',
          'id' => 'new_confirm',
          'type' => 'password',
          'pattern' => '^.{' . $this->data['min_password_length'] . '}.*$',

        );

        $this->data['user_id'] = array(
          'name' => 'user_id',
          'id' => 'user_id',
          'type' => 'hidden',
          'value' => $user->id,

        );

        $this->data['csrf'] = $this->_get_csrf_nonce();

        $this->data['code'] = $code;




        $this->load_theme('users/reset_password', '', '');

      } else {

        // do we have a valid request?

        if ($this->_valid_csrf_nonce() === FALSE || $user->id != $this->input->post('user_id')) {
          //something fishy might be up
          $this->ion_auth->clear_forgotten_password_code($code);
          show_error($this->lang->line('error_csrf'));

        } else {

          // finally change the password

          $identity = $user->{$this->config->item('identity', 'ion_auth')};
          $change = $this->ion_auth->reset_password($identity, $this->input->post('new'));



          if ($change) {

            //if the password was successfully changed

            $this->session->set_tempdata('message', message_box($this->ion_auth->messages(), 'success'), 2);

            redirect("login", 'refresh');

          } else {

            $this->session->set_tempdata('message', message_box($this->ion_auth->errors(), 'danger'), 2);

            redirect('users/reset_password/' . $code, 'refresh');

          }

        }

      }

    } else {

      //if the code is invalid then send them back to the forgot password page

      $this->session->set_tempdata('message', $this->ion_auth->errors(), 2);

      redirect("users/forgot_password", 'refresh');

    }

  }


  function _get_csrf_nonce()
  {
    $this->load->helper('string');

    $key = random_string('alnum', 8);

    $value = random_string('alnum', 20);

    $this->session->set_flashdata('csrfkey', $key);

    $this->session->set_flashdata('csrfvalue', $value);



    return array($key => $value);

  }



  function _valid_csrf_nonce()
  {

    if (
      $this->input->post($this->session->flashdata('csrfkey')) !== FALSE &&

      $this->input->post($this->session->flashdata('csrfkey')) == $this->session->flashdata('csrfvalue')
    ) {

      return TRUE;

    } else {

      return FALSE;

    }

  }

  public function upload($sign)
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    $this->data['header'] = $this->load->view('themes/' . $this->theme . '/header', $this->data, TRUE);
    $this->data['footer'] = $this->load->view('themes/' . $this->theme . '/footer', $this->data, TRUE);
    $this->load_theme('home/upload', '', '');

  }

  public function upload_file()
  {
    $userid = $this->session->userdata('user_id');
    if ($userid != "") {


      if (!empty($_FILES)) {

        if (is_uploaded_file($_FILES['fileUpload']['tmp_name'])) {
          if (!empty($_SESSION['upload_id'])) {
            $iid = md5($_SESSION['upload_id']);
            $upload = $this->Uploadfile->find_by_id($iid);
            if ($upload["file_ext"] == 'pdf') {

              $unlink_path = $_SERVER['DOCUMENT_ROOT'] . "/signdoc/assets/uploads/" . $upload["file_name"];
              unlink($unlink_path);
              $this->Uploadfile->deletemd5(md5($upload['id']));
              unset($_SESSION['upload_id']);

            } else {
              $ff = explode(".", $upload["file_name"]);


              $unlink_path1 = $_SERVER['DOCUMENT_ROOT'] . "/signdocu/assets/uploads/" . $upload["file_name"];
              $unlink_path2 = $_SERVER['DOCUMENT_ROOT'] . "/signdocu/assets/uploads/" . $ff[0] . '.pdf';
              unlink($unlink_path1);
              unlink($unlink_path2);
              $this->Uploadfile->deletemd5(md5($upload['id']));
              unset($_SESSION['upload_id']);
            }

          }

          sleep(1);
          $source_path = $_FILES['fileUpload']['tmp_name'];
          $oname = $_FILES['fileUpload']['name'];
          $test = explode('.', $_FILES['fileUpload']['name']);
          $fileExt = end($test);
          $n = rand();
          $name = $n . "." . $fileExt;
          $target_path = $_SERVER['DOCUMENT_ROOT'] . "/signdocu/assets/uploads/" . $name;

          //$target_path = 'upload/' . $_FILES['uploadFile']['name'];

          if (move_uploaded_file($source_path, $target_path)) {

            if ($fileExt == 'pdf') {
              // $ddd = $this->pdf2png($target_path,$n);
              $num_of_page = $this->numpages($target_path);
            } else if ($fileExt == 'doc' || $fileExt == 'docx') {
              $originFilePath = $target_path;
              //print_data($originFilePath);
              $toFormat = 'pdf';
              $outputDirPath = './';

              $command = 'unoconv --format %s  %s';
              $command = sprintf($command, $toFormat, $originFilePath);
              system($command, $output);
              $path = $_SERVER['DOCUMENT_ROOT'] . "/signdocu/assets/uploads/" . $n . ".pdf";
              // $ddd = $this->pdf2png($path,$n);
              $num_of_page = $this->numpages($path);

            }


            $array = array(
              'user_id' => $userid,
              'orignal_name' => $oname,
              'file_name' => $name,
              'file_ext' => $fileExt,
              'no_of_pages' => $num_of_page,
              'upload_time' => date('Y-m-d H:i:s', time()),

            );

            $dataresponse = $this->Uploadfile->create($array);
            $_SESSION['upload_id'] = $dataresponse;
            echo site_url("users/addrecipients/") . md5($dataresponse);

            // echo md5($dataresponse));
          }
        }
      }
    } else {
      echo '0';
    }
  }

  function fetchquick()
  {
    header("Content-type: application/json");
    $id = $_POST['ID'];

    $data = $this->Items->find_by_id(md5($id));

    echo json_encode($data);
  }

  function getimg()
  {

    $id = $_POST['ID'];

    $data = getitemimagebytid_1_2($id, '1');

    echo $data[path];
  }






  function products_list($items = '', $products = '')
  {


    $config = array();
    $config["base_url"] = base_url() . "item/" . $items . "/" . $products;
    $config["total_rows"] = $this->Items->get_count($items, $products);
    $config["per_page"] = 100;
    $config["uri_segment"] = 4;
    //        $config["num_links"] = 2;
//        $config["use_page_numbers"] = true;
//        






    // print_data($config); die();

    $this->pagination->initialize($config);


    $page = ($this->uri->segment(4)) ? $this->uri->segment(4) : 0;



    $this->data['links'] = $this->pagination->create_links();

    //print_data($page ); die();

    //$data['student'] = $this->Items->get_students($config["per_page"], $page);

    // $this->load->view('pagination', $data);

    $this->data['items'] = $this->Items->get_students($config["per_page"], $page, $items, $products);

    // print_data($this->data['items']); die();

    $this->data['title'] = $items;
    $this->data['products'] = $products;
    $this->load_theme('products/procuct_list', '', '');
  }


  function products($id)
  {
    $this->data['title'] = 'Products';
    $this->data['items'] = $this->Items->find_by_id($id);
    $this->load_theme('products/procuct_description', '', '');
  }


  function pdf2png($PDF, $name)
  {
    $IM = new imagick();
    if (!extension_loaded('imagick')) {
      echo 'no imagick';
      return false;
    }
    if (!file_exists($PDF)) {
      echo 'no file';
      return false;
    }



    $IM->setResolution(300, 300);

    $IM->readImage($PDF);

    $number = $IM->getNumberImages();
    $i = 1;
    for ($j = 0; $j < $number; $j++) {
      $IM->readImage($PDF . '[' . $j . ']');
      $IM->setImageFormat('jpeg');
      $IM->setImageCompression(imagick::COMPRESSION_JPEG);
      $IM->setImageCompressionQuality(100);
      $IM->mergeImageLayers(Imagick::LAYERMETHOD_FLATTEN);
      $IM->setImageAlphaChannel(Imagick::ALPHACHANNEL_REMOVE);
      $Filename = $_SERVER['DOCUMENT_ROOT'] . "/signdocu/assets/uploads/" . $name . '-' . $i . '.jpeg';
      if ($IM->writeImage($Filename) == true) {
        $Return[] = $Filename;
      }
      $i++;

    }

    return $Return;
  }


  public function addrecipients($id = '')
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    unset($_SESSION['upload_id']);
    unset($_SESSION['ccemail']);
    $userid = $this->session->userdata('user_id');
    $this->data['users'] = $this->User->find_by_userid($userid);
    $this->data['active'] = 'home';
    $this->data['id'] = $id;
    $this->data['header'] = $this->load->view('themes/' . $this->theme . '/header', $this->data, TRUE);
    $this->data['footer'] = $this->load->view('themes/' . $this->theme . '/footer', $this->data, TRUE);
    $this->load_theme('home/add_signer', '', '');

  }

  function recipients()
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }

    $this->form_validation->set_rules('rname', 'Sender Name', 'required');
    $this->form_validation->set_rules('remail', 'Sender Email', 'required');
    $this->form_validation->set_rules('id', 'User ID', 'required');
    if ($this->form_validation->run() == true) {

      $id = $this->input->post('id');

      if (empty($_SESSION['ccemail'])) {
        $data = array(
          "sender_name" => $this->input->post('rname'),
          "sender_email" => $this->input->post('remail'),
        );
        $this->Uploadfile->updatemd5($data, $id);
      } else {
        $data = array(
          "sender_name" => $this->input->post('rname'),
          "sender_email" => $this->input->post('remail'),
          "sender_cc" => serialize($_SESSION['ccemail']),
        );
        $this->Uploadfile->updatemd5($data, $id);
        unset($_SESSION['ccemail']);
      }



      redirect('users/preparedoc/' . $id);
    }
  }


  function preparedoc($id)
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }


    unset($_SESSION['ccemail']);
    $data = $this->Signature->find_by_doc_id($id);
    if (!empty($data)) {
      $this->Signature->delete_by_doc_id($id);
    }
    $userid = $this->session->userdata('user_id');
    $this->data['users'] = $this->User->find_by_userid($userid);
    $this->data['path'] = site_url("/assets/uploads/");
    $this->data['upload'] = $this->Uploadfile->find_by_id($id);
    $this->data['active'] = 'home';
    $this->data['header'] = $this->load->view('themes/' . $this->theme . '/header', $this->data, TRUE);
    $this->data['footer'] = $this->load->view('themes/' . $this->theme . '/footer', $this->data, TRUE);
    $this->load_theme('home/prepare_doc', '', '');
  }



  function reviewdoc($id)
  {
    if (!$this->ion_auth->logged_in()) {
      // print_data($this->load->helper('url')); die();
      redirect('signout');
    }
    $userid = $this->session->userdata('user_id');
    $this->data['users'] = $this->User->find_by_userid($userid);
    $this->data['path'] = site_url("/assets/uploads/");
    $this->data['upload'] = $this->Uploadfile->find_by_id($id);
    $this->data['active'] = 'home';
    $this->data['id'] = $id;
    $this->data['header'] = $this->load->view('themes/' . $this->theme . '/header', $this->data, TRUE);
    $this->data['footer'] = $this->load->view('themes/' . $this->theme . '/footer', $this->data, TRUE);
    $this->load_theme('home/reviewdoc', '', '');
  }

  function sendinvite()
  {
    $userid = $this->session->userdata('user_id');
    if ($userid != "") {


      $users = $this->User->find_by_userid($userid);

      $id = $_POST['docID'];

      $upload = $this->Uploadfile->find_by_id($id);



      $link = site_url('reviewdocument/') . $id;

      $msgbody = '<table class="wrapper" style="border-collapse:collapse;table-layout:fixed;min-width:320px;width:100%;background-color:#f2f4f6" cellpadding="0" cellspacing="0" role="presentation"><tbody><tr><td>
      <div role="banner">
        <div class="preheader" style="Margin:0 auto;max-width:560px;min-width:280px;width:280px;width:calc(28000% - 167440px)">
          <div style="border-collapse:collapse;display:table;width:100%">
          
            <div class="snippet" style="display:table-cell;Float:left;font-size:13px;line-height:19px;max-width:280px;min-width:140px;width:140px;width:calc(14000% - 78120px);padding:10px 0 5px 0;color:#717a8a;font-family:sans-serif">
              <p style="Margin-top:0;Margin-bottom:0">Review and sign document.</p>
            </div>
          
            <div class="webversion" style="display:table-cell;Float:left;font-size:12px;line-height:19px;max-width:280px;min-width:139px;width:139px;width:calc(14100% - 78680px);padding:10px 0 5px 0;text-align:right;color:#717a8a;font-family:sans-serif">
              
            </div>
          
          </div>
        </div>
        
      </div>
      <div role="section">
      <div style="background-color:#ffffff">
        <div class="layout one-col" style="Margin:0 auto;max-width:600px;min-width:320px;width:320px;width:calc(28000% - 167400px);word-wrap:break-word;word-break:break-word">
          <div class="layout__inner" style="border-collapse:collapse;display:table;width:100%">
          
            <div class="column" style="max-width:600px;min-width:320px;width:320px;width:calc(28000% - 167400px);text-align:left;color:#111324;font-size:16px;line-height:24px;font-family:sans-serif">
            
              <div style="Margin-left:20px;Margin-right:20px">
      <div style="line-height:45px;font-size:1px">&nbsp;</div>
    </div>
            
              <div style="Margin-left:20px;Margin-right:20px">
        <div style="font-size:12px;font-style:normal;font-weight:normal;line-height:19px;Margin-bottom:20px" align="left">
          <a style="text-decoration:none;color:#9b724a;font-size:36px;" href="' . site_url() . '" target="_blank" data-saferedirecturl="#">Sign Docu</a>
        </div>
      </div>
            
              <div style="Margin-left:20px;Margin-right:20px">
      <div style="line-height:20px;font-size:1px">&nbsp;</div>
    </div>
            
              <div style="Margin-left:20px;Margin-right:20px">
      <div>
        <p style="Margin-top:0;Margin-bottom:20px">Hi ' . $upload['sender_name'] . ',</p>
      </div>
    </div>
            
              <div style="Margin-left:20px;Margin-right:20px">
      <div style="line-height:1px;font-size:1px">&nbsp;</div>
    </div>
            
            </div>
          
          </div>
        </div>
      </div>
  
      <div style="background-color:#ffffff">
        <div class="layout one-col" style="Margin:0 auto;max-width:600px;min-width:320px;width:320px;width:calc(28000% - 167400px);word-wrap:break-word;word-break:break-word">
          <div class="layout__inner" style="border-collapse:collapse;display:table;width:100%">
          
            <div class="column" style="max-width:600px;min-width:320px;width:320px;width:calc(28000% - 167400px);text-align:left;color:#111324;font-size:16px;line-height:24px;font-family:sans-serif">
            
              <div style="Margin-left:20px;Margin-right:20px">
      <div style="line-height:2px;font-size:1px">&nbsp;</div>
    </div>
            
              <div style="Margin-left:20px;Margin-right:20px">
      <div>
        <h1 class="size-26" style="Margin-top:0;Margin-bottom:20px;font-style:normal;font-weight:normal;color:#111324;font-size:22px;line-height:31px;text-align:left" lang="x-size-26">' . $users['full_name'] . ' sent you a document to review and sign.</h1>
      </div>
    </div>
            
              <div style="Margin-left:20px;Margin-right:20px">
      <div>
        <p style="Margin-top:0;Margin-bottom:20px">This email contains a secure link to SignDocu. Please do not share this email, link, or access code with others.</p>
      </div>
    </div>
            
              <div style="Margin-left:20px;Margin-right:20px">
      <div class="btn" style="Margin-bottom:20px;text-align:left">
        <u></u><a style="border-radius:4px;display:inline-block;font-size:13px;font-weight:bold;line-height:24px;padding:12px 24px;text-align:center;text-decoration:none!important;color:#ffffff!important;background-color:#9b724a;font-family:sans-serif" href="' . $link . '" target="_blank" data-saferedirecturl="#">REVIEW DOCUMENT</a><u></u>
      </div>
    </div>
            
              <div style="Margin-left:20px;Margin-right:20px">
      <div>
        <p class="size-12" style="Margin-top:0;Margin-bottom:20px;font-size:13px;line-height:19px" lang="x-size-12">Sign documents electronically in just minutes. Its safe, secure, and legally binding. Whether youre in an office, at home, on-the-go -- or even across the globe -- SignDocu provides a professional trusted solution for Digital Transaction Management™.</p>
      </div>
    </div>
            
              <div style="Margin-left:20px;Margin-right:20px">
      <div style="line-height:20px;font-size:1px">&nbsp;</div>
    </div>
            
            </div>
          
          </div>
        </div>
      </div>
  
      
      <div role="contentinfo">
        <div class="layout email-footer" style="Margin:0 auto;max-width:600px;min-width:320px;width:320px;width:calc(28000% - 167400px);word-wrap:break-word;word-break:break-word">
          <div class="layout__inner" style="border-collapse:collapse;display:table;width:100%">
          
            <div class="column wide" style="text-align:left;font-size:12px;line-height:19px;color:#717a8a;font-family:sans-serif;Float:left;max-width:600px;min-width:320px;width:320px;width:calc(8000% - 47600px)">
              <div style="Margin-left:20px;Margin-right:20px;Margin-top:10px;Margin-bottom:10px">
                
                <div style="font-size:10px;line-height:12px">
                  <div>This message was sent to you by ' . $users['full_name'] . ' who is using the SignDocu Electronic Signature Service. If you would rather not receive email from this sender you may contact the sender with your request.</div>
                </div>
                
                
              </div>
            </div>
          
            
          
          </div>
        </div>
        
      </div>
    </div></td></tr></tbody></table>';

      $subject = 'Please SignDocu: ' . $upload['orignal_name'];

      $e_id = $upload['sender_email'];
      $this->email->from('connect@traversetelecom.com', 'SignDocu');
      $list = array($e_id);
      $this->email->to($list);
      $this->email->subject($subject);
      $this->email->message($msgbody);
      $this->email->send();
      //print_data($upload);

      $data = array(
        "sent_invite_time" => date('Y-m-d H:i:s', time()),
        "sent_ip" => getUserIP(),
      );
      $this->Uploadfile->updatemd5($data, $id);


      echo '1';

    } else {
      echo '0';
    }


  }



  public function history()
  {

  }






}