<style>
    #password_rules ul li {
        /*font-size: 12px;
        font-weight: normal;*/
        color: #000000;
    }

    #password_rules ul li.complete {
        color: #5DB406;
    }

    span.togglePassword {
        color: gray;
        font-size: 12px;
        cursor: pointer;
    }
</style>



<!-- Content Wrapper. Contains page content -->


<div class="app-container">

    <!-- App hero header starts -->
    <div class="app-hero-header d-flex align-items-center">

        <!-- Breadcrumb starts -->
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <i class="ri-home-8-line lh-1 pe-3 me-3 border-end"></i>
                <a href="index.html">Home</a>
            </li>
            <li class="breadcrumb-item text-primary" aria-current="page">
                Manage Account
            </li>
        </ol>
        <!-- Breadcrumb ends -->



    </div>
    <!-- App Hero header ends -->

    <!-- App body starts -->
    <div class="app-body">

        <!-- Row starts -->
        <div class="row gx-3">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header d-flex align-items-center justify-content-between">
                        <h5 class="card-title">Change password</h5>

                    </div>
                    <form id="invoiceForm" method="post" action="<?php echo site_url('admin/change_password') ?>">
                        <div class="card-body">

                            <?php echo $this->session->tempdata('message'); ?>
                            <?php if (validation_errors())
                                echo message_box(validation_errors(), 'danger'); ?>




                            <div class="form-group row">
                                <label for="inputEmail3" class="col-sm-2 col-form-label">Old Password</label>
                                <div class="col-sm-4 input-group">

                                    <div class="input-group">
                                        <span class="input-group-text togglePassword1">
                                            <i class="ri-eye-line"></i>
                                        </span>

                                        <input type="password" name="old" required
                                            class="form-control validate password" id="old"
                                            placeholder="Enter old password">
                                    </div>

                                </div>
                            </div>

                            <div class="form-group row">
                                <label for="inputEmail3" class="col-sm-2 col-form-label">New Password</label>
                                <div class="col-sm-4 input-group">

                                    <div class="input-group">
                                        <span class="input-group-text togglePassword2">
                                            <i class="ri-eye-line"></i>
                                        </span>
                                        <input type="password" id="pass" name="new" required=""
                                            class="form-control validate password" placeholder="Enter new password">
                                    </div>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label for="inputEmail3" class="col-sm-2 col-form-label">Confirm
                                    Password</label>
                                <div class="col-sm-4 input-group">

                                    <div class="input-group">
                                        <span class="input-group-text togglePassword3">
                                            <i class="ri-eye-line"></i>
                                        </span>


                                        <input type="password" id="conf" name="new_confirm" required
                                            class="form-control validate password" placeholder="Confirm password">
                                    </div>


                                </div>
                            </div>






                            <div id="password_rules" class="mt-3">
                                <h4>Passwords must meet these requirements:</h4>
                                <ul>
                                    <li class="password_length">At least 8 characters</li>
                                    <li class="password_uppercase">At least 1 uppercase letter</li>
                                    <li class="password_number">At least one number</li>
                                    <li class="password_match">Password and confirmation must match</li>
                                </ul>
                            </div>

                            <div class="">
                                <button type="submit" name="create" class="btn btn-outline-primary my-4 mb-2"
                                    disabled>Update</button>
                            </div>




                        </div>
                    </form>
                </div>
            </div>
        </div>
        <!-- Row ends -->


    </div>






    <script>
        $(document).ready(function () {
            var validateInput = $('input.validate');

            function validateInputs() {
                var password = $('#pass').val(),
                    conf = $('#conf').val(),
                    all_pass = true;

                var uppercase = password.match(/[A-Z]/),
                    number = password.match(/[0-9]/);

                if (password.length < 8) {
                    $('.password_length').removeClass('complete');
                    all_pass = false;
                } else $('.password_length').addClass('complete');

                if (uppercase) $('.password_uppercase').addClass('complete');
                else {
                    $('.password_uppercase').removeClass('complete');
                    all_pass = false;
                }

                if (number) $('.password_number').addClass('complete');
                else {
                    $('.password_number').removeClass('complete');
                    all_pass = false
                }


                if (password == conf && password != '') $('.password_match').addClass('complete');
                else {
                    $('.password_match').removeClass('complete')
                    all_pass = false;
                }

                if (all_pass == true) {
                    $(":submit").removeAttr("disabled");
                } else {
                    $(":submit").attr("disabled", true);
                }

                console.log(all_pass);
            }
            validateInput.each(validateInputs).on('keyup', validateInputs);

            function showPassword1() {
                var validateInput1 = $('#old');
                if (validateInput1.attr('type') === 'password') {
                    validateInput1.attr('type', 'text');
                }
                else if (validateInput1.attr('type') === 'text') {
                    console.log('else');
                    validateInput1.attr('type', 'password');
                }
            }

            function showPassword2() {
                var validateInput1 = $('#pass');
                if (validateInput1.attr('type') === 'password') {
                    validateInput1.attr('type', 'text');
                }
                else if (validateInput1.attr('type') === 'text') {
                    console.log('else');
                    validateInput1.attr('type', 'password');
                }
            }

            function showPassword3() {
                var validateInput1 = $('#conf');
                if (validateInput1.attr('type') === 'password') {
                    validateInput1.attr('type', 'text');
                }
                else if (validateInput1.attr('type') === 'text') {
                    console.log('else');
                    validateInput1.attr('type', 'password');
                }
            }

            $('.togglePassword1').on('click', showPassword1);
            $('.togglePassword2').on('click', showPassword2);
            $('.togglePassword3').on('click', showPassword3);
        });
    </script>