<!-- App container starts -->

<link rel="stylesheet" href="<?php echo $base_assets_url; ?>assets/css/screen.css">
<!-- Data Tables -->
<link rel="stylesheet" href="<?php echo $base_assets_url; ?>assets/vendor/datatables/dataTables.bs5.css">
<link rel="stylesheet" href="<?php echo $base_assets_url; ?>assets/vendor/datatables/dataTables.bs5-custom.css">
<link rel="stylesheet" href="<?php echo $base_assets_url; ?>assets/vendor/datatables/buttons/dataTables.bs5-custom.css">

<div class="app-container">

    <!-- App hero header starts -->
    <div class="app-hero-header d-flex align-items-center">

        <!-- Breadcrumb starts -->
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <i class="ri-home-8-line lh-1 pe-3 me-3 border-end"></i>
                <a href="index.html">Home</a>
            </li>
            <li class="breadcrumb-item text-primary" aria-current="page">
                Manage Doctors
            </li>
        </ol>
        <!-- Breadcrumb ends -->



    </div>
    <!-- App Hero header ends -->

    <!-- App body starts -->
    <div class="app-body">

        <!-- Row starts -->
        <div class="row gx-3">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header d-flex align-items-center justify-content-between">
                        <h5 class="card-title">Add Doctor</h5>

                    </div>
                    <div class="card-body">
                        <form action="<?php echo site_url('admin/managedoc') ?>" method="post" class="row g-3"
                            id="createForm">
                            <?php echo $this->session->tempdata('message'); ?>
                            <?php if (validation_errors())
                                echo message_box(validation_errors(), 'danger'); ?>

                            <div class="row gx-3">
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="bg-light rounded-2 px-3 py-2 mb-3">
                                            <h6 class="m-0">Personal Details</h6>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-xxl-4 col-lg-4 col-sm-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="a1">Full Name <span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" id="fullname" name="fullname"
                                                placeholder="Enter Full Name">
                                        </div>
                                    </div>
                                    <div class="col-xxl-4 col-lg-4 col-sm-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="a2">Highest qualification <span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" id="qualification"
                                                name="qualification" placeholder="Enter Highest qualification">
                                        </div>
                                    </div>

                                    <div class="col-xxl-4 col-lg-4 col-sm-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="selectGender1">Gender <span
                                                    class="text-danger">*</span></label>
                                            <?php
                                            $quntype = getGenderDrop();
                                            // print_data($quntype); 
                                            $js = ' class="form-select" id="gender" ';
                                            ?>
                                            <?php echo form_dropdown('gender', $quntype, $data['gender'] ? $data['gender'] : '', $js); ?>


                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-xxl-4 col-lg-4 col-sm-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="a4">Mobile number <span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" id="mob_num" name="mob_num"
                                                placeholder="Enter Mobile number">
                                        </div>
                                    </div>
                                    <div class="col-xxl-4 col-lg-4 col-sm-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="a5">Email ID <span
                                                    class="text-danger">*</span></label>
                                            <input type="email" class="form-control" id="emailid" name="emailid"
                                                placeholder="Enter Email ID">
                                        </div>
                                    </div>

                                    <div class="col-xxl-4 col-lg-4 col-sm-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="a7">Marital Status<span
                                                    class="text-danger">*</span></label>
                                            <?php
                                            $quntype1 = getMaritalStatusDrop();
                                            // print_data($quntype); 
                                            $js = ' class="form-select" id="m_status" ';
                                            ?>
                                            <?php echo form_dropdown('m_status', $quntype1, $data['marital_status'] ? $data['marital_status'] : '', $js); ?>

                                        </div>
                                    </div>

                                </div>


                                <div class="row">
                                    <div class="col-xxl-12 col-lg-4 col-sm-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="a8">Complete Address </label>
                                            <textarea class="form-control" id="address" name="address"
                                                placeholder="Enter Complete Address" rows="2"></textarea>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mt-3">
                                    <div class="col-sm-12">
                                        <div class="d-flex gap-2 justify-content-end">
                                            <a href="#" class="btn btn-outline-secondary">
                                                Cancel
                                            </a>
                                            <button class="btn btn-primary" type="submit">
                                                Add Doctor
                                            </button>

                                        </div>
                                    </div>
                                </div>
                            </div>


                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- Row ends -->

        <!-- Row starts -->
        <div class="row gx-3 mt-3">
            <div class="col-sm-12">
                <div class="card">

                    <div class="card-body">
                        <table id="basicExample" class="table m-0 align-middle">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Doctor Name</th>
                                    <th>Highest qualification</th>
                                    <th>Gender</th>
                                    <th>Mobile Number</th>
                                    <th>Created at</th>
                                    <th style="width:10%">Action</th>

                                </tr>
                            </thead>
                            <tbody>
                                <?php $i = 0;
                                foreach ($data as $data) {
                                    $i++; ?>
                                    <tr>
                                        <td><?php echo $i; ?></td>
                                        <td><?php echo $data['name']; ?></td>
                                        <td><?php echo $data['qualification']; ?></td>
                                        <td><?php echo getGender($data['gender']); ?></td>
                                        <td><?php echo $data['mob_no']; ?></td>
                                        <td><?php $timestamp = date('d-m-Y H:i:s', $data['date_time']); ?><span
                                                class="badge border border-primary text-primary"><?php echo $timestamp; ?></span>
                                        </td>
                                        <td>
                                            <a class="btn btn-outline-info btn-sm" title="View/Update Doctor"
                                                href="<?php echo site_url('admin/viewdoctor/') . md5($data['id']); ?>"><i
                                                    class="ri-edit-box-line"></i></a>
                                        </td>
                                    </tr>
                                <?php } ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- Row ends -->



    </div>
    <!-- App body ends -->
    <script src="<?php echo $base_assets_url; ?>assets/lib/jquery.js"></script>
    <script src="<?php echo $base_assets_url; ?>assets/js/jquery.validate.js"></script>

    <!-- Data Tables -->
    <script src="<?php echo $base_assets_url; ?>assets/vendor/datatables/dataTables.min.js"></script>
    <script src="<?php echo $base_assets_url; ?>assets/vendor/datatables/dataTables.bootstrap.min.js"></script>
    <script src="<?php echo $base_assets_url; ?>assets/js/sweetalert.js"></script>

    <script>
        $(document).ready(function () {
            $("#gender option:first").attr('disabled', 'disabled');
            $("#m_status option:first").attr('disabled', 'disabled');
        });
    </script>

    <script>


        new DataTable('#basicExample');


        $().ready(function () {

            $(document).ready(function () {
                $.validator.setDefaults({
                    ignore: []
                });
            });

            // validate signup form on keyup and submit
            $("#createForm").validate({
                rules: {
                    fullname: "required",
                    qualification: "required",
                    gender: "required",
                    mob_num: "required",
                    m_status: "required",
                    emailid: {
                        required: true,
                        email: true
                    },



                },
                messages: {
                    fullname: "Please enter fullname",
                    qualification: "Please enter qualification",
                    gender: "Please select gender",
                    mob_num: "Please enter mobile number",
                    m_status: "Please select marital status",
                    emailid: "Please enter a valid email address",

                }
            });


        });
    </script>