<!-- App container starts -->

<link rel="stylesheet" href="<?php echo $base_assets_url; ?>assets/css/screen.css">
<!-- Data Tables -->
<link rel="stylesheet" href="<?php echo $base_assets_url; ?>assets/vendor/datatables/dataTables.bs5.css">
<link rel="stylesheet" href="<?php echo $base_assets_url; ?>assets/vendor/datatables/dataTables.bs5-custom.css">
<link rel="stylesheet" href="<?php echo $base_assets_url; ?>assets/vendor/datatables/buttons/dataTables.bs5-custom.css">

<div class="app-container">

    <!-- App hero header starts -->
    <div class="app-hero-header d-flex align-items-center">

        <!-- Breadcrumb starts -->
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <i class="ri-home-8-line lh-1 pe-3 me-3 border-end"></i>
                <a href="index.html">Home</a>
            </li>
            <li class="breadcrumb-item text-primary" aria-current="page">
                Manage OPD
            </li>
        </ol>
        <!-- Breadcrumb ends -->



    </div>
    <!-- App Hero header ends -->

    <!-- App body starts -->
    <div class="app-body">

        <!-- Row starts -->
        <div class="row gx-3">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header d-flex align-items-center justify-content-between">
                        <h5 class="card-title">Manage OPD Type</h5>

                    </div>
                    <div class="card-body">

                        <?php echo $this->session->tempdata('message'); ?>
                        <?php if (validation_errors())
                            echo message_box(validation_errors(), 'danger'); ?>

                        <div class="row gx-3">
                            <form action="<?php echo site_url('admin/addopd') ?>" method="post" class="row g-3"
                                id="createForm">
                                <div class="row">
                                    <div class="col-xxl-4 col-lg-4 col-sm-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="a1">OPD Type Name <span
                                                    class="text-danger">*</span></label>
                                            <div class="input-group">
                                                <input type="text" class="form-control" id="abc16" name="opd_type"
                                                    placeholder="Enter OPD Type name">
                                                <button class="btn btn-outline-secondary text-body" type="submit">
                                                    Add OPD Type
                                                </button>
                                            </div>
                                            <label id="abc16-error" class="error" for="abc16"></label>
                                        </div>
                                    </div>
                                </div>
                            </form>
                            <form action="<?php echo site_url('admin/adddoctoopd') ?>" method="post" class="row g-3"
                                id="createForm1">
                                <div class="row">
                                    <div class="col-xxl-4 col-lg-4 col-sm-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="a7">Select OPD Type</label>
                                            <?php
                                            $quntype1 = getopdtype();
                                            // print_data($quntype); 
                                            $js = ' class="form-select" id="opd_type" ';
                                            ?>
                                            <?php echo form_dropdown('opd_type', $quntype1, '' ? '' : '', $js); ?>

                                        </div>
                                    </div>

                                    <div class="col-xxl-4 col-lg-4 col-sm-6">
                                        <div class="mb-3">
                                            <label class="form-label" for="a7">Select Doctor for OPD Type</label>
                                            <?php
                                            $quntype2 = getDoctors();
                                            // print_data($quntype); 
                                            $js = ' class="form-select" id="doc_type" ';
                                            ?>
                                            <?php echo form_dropdown('doc_type', $quntype2, '' ? '' : '', $js); ?>

                                        </div>
                                    </div>

                                    <div class="col-xxl-4 col-lg-4 col-sm-6">
                                        <div class="mb-3" style="display: inline-grid;">
                                            <label class="form-label" for="a7">Add Doctor for OPD Type</label>
                                            <button type="submit" class="btn btn-info">Add Doctor to OPD</button>
                                        </div>
                                    </div>

                                </div>
                            </form>
                        </div>


                    </div>
                </div>
            </div>
        </div>
        <!-- Row ends -->

        <!-- Row starts -->
        <div class="row gx-3 mt-3">
            <div class="col-sm-12">
                <div class="card">

                    <div class="card-body">
                        <table id="basicExample" class="table m-0">
                            <thead>
                                <tr>
                                    <th style="width:5%">#</th>
                                    <th>OPD Type</th>
                                    <th>Doctors Name</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $i = 0;
                                foreach ($data as $data) {
                                    $i++;
                                    $doctors = getOpdDoctors($data['id']);

                                    ?>
                                    <tr>
                                        <td><b><?php echo $i; ?></b></td>
                                        <td><b><?php echo $data['opd_type']; ?></b></td>
                                        <td>
                                            <table class="table m-0">
                                                <tbody>
                                                    <?php if (!empty($doctors)) {
                                                        foreach ($doctors as $doctor) { ?>
                                                            <tr>
                                                                <td><?php $d = getDocname($doctor['doc_id']);
                                                                echo $d['name'] . ' (' . $d['qualification'] . ')'; ?>
                                                                </td>
                                                                <td style="width:40%">
                                                                    <a class="btn btn-outline-info btn-sm"
                                                                        title="View/Update Doctor"
                                                                        href="<?php echo site_url('admin/viewdoctor/') . md5($doctor['doc_id']); ?>"><i
                                                                            class="ri-edit-box-line"></i></a> |
                                                                    <button class="btn btn-outline-danger btn-sm"
                                                                        onclick="removedoc('<?php echo $doctor['id'] ?>')">
                                                                        <i class="ri-delete-bin-line"></i>
                                                                    </button>
                                                                </td>
                                                            </tr>
                                                        <?php }
                                                    } else {
                                                        echo '<tr><td> <span class="badge bg-warning-subtle text-warning">Doctors Not Added Yet!</span>   </td></tr>';
                                                    } ?>
                                                </tbody>
                                            </table>
                                        </td>
                                    </tr>
                                <?php } ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!-- Row ends -->



    </div>
    <!-- App body ends -->
    <script src="<?php echo $base_assets_url; ?>assets/lib/jquery.js"></script>
    <script src="<?php echo $base_assets_url; ?>assets/js/jquery.validate.js"></script>

    <!-- Data Tables -->
    <script src="<?php echo $base_assets_url; ?>assets/vendor/datatables/dataTables.min.js"></script>
    <script src="<?php echo $base_assets_url; ?>assets/vendor/datatables/dataTables.bootstrap.min.js"></script>
    <script src="<?php echo $base_assets_url; ?>assets/js/sweetalert.js"></script>
    <script>
        $(document).ready(function () {
            $("#opd_type option:first").attr('disabled', 'disabled');
            $("#doc_type option:first").attr('disabled', 'disabled');
        });
    </script>
    <script>

        new DataTable('#basicExample');

        $().ready(function () {

            $(document).ready(function () {
                $.validator.setDefaults({
                    ignore: []
                });
            });

            // validate signup form on keyup and submit
            $("#createForm").validate({
                rules: {
                    opd_type: "required",


                },
                messages: {
                    opd_type: "Please enter OPD Type name",

                }
            });

            $("#createForm1").validate({
                rules: {
                    opd_type: "required",
                    doc_type: "required",


                },
                messages: {
                    opd_type: "Please select OPD Type",
                    doc_type: "Please select Doctor",
                }
            });


        });
    </script>

    <script>

        function removedoc(id) {
            swal({
                title: "Are you sure?",
                text: "You want to remove this Doctor from OPD Type ?",
                icon: "warning",
                buttons: true,
            })
                .then((willDelete) => {
                    if (willDelete) {

                        $.ajax({
                            url: "<?php echo site_url('webmaster/removedocopd') ?>",
                            method: "POST",
                            data: { id: id },
                            success: function (data) {
                                window.location.href = window.location.href;
                            }
                        });


                    } else {
                        swal("Doctor status is safe!");
                    }
                });
        }

    </script>