<!-- App container starts -->

<link rel="stylesheet" href="<?php echo $base_assets_url; ?>assets/css/screen.css">
<style>
    .avatar-upload {
        position: relative;
        max-width: 205px;
        margin: 10px auto;
    }

    .avatar-upload .avatar-edit {
        position: absolute;
        right: 12px;
        z-index: 1;
        top: 10px;
    }

    .avatar-upload .avatar-edit input {
        /* display: none; */
        visibility: hidden;
        width: 0px;
    }

    .avatar-upload .avatar-edit input+label {
        display: inline-block;
        width: 34px;
        height: 34px;
        margin-bottom: 0;
        border-radius: 100%;
        background: #FFFFFF;
        border: 1px solid transparent;
        box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.12);
        cursor: pointer;
        font-weight: normal;
        transition: all 0.2s ease-in-out;
    }

    .avatar-upload .avatar-edit input+label:hover {
        background: #f1f1f1;
        border-color: #d6d6d6;
    }

    .avatar-upload .avatar-edit input+label:after {
        color: #757575;
        position: absolute;
        top: 10px;
        left: 0;
        right: 0;
        text-align: center;
        margin: auto;
    }

    .avatar-upload .avatar-preview {
        width: 192px;
        height: 192px;
        position: relative;
        border-radius: 100%;
        border: 6px solid #F8F8F8;
        box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
    }

    .avatar-upload .avatar-preview>div {
        width: 100%;
        height: 100%;
        border-radius: 100%;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
    }

    .ic {
        font-size: 1.15rem;
        flex-shrink: 0;
        width: 32px;
        height: 32px;
        display: flex;
        align-items: center;
        justify-content: center;
        color: #969497;
    }

    .read-only {
        background: #ebebeb;
    }
</style>

<div class="app-container">

    <!-- App hero header starts -->
    <div class="app-hero-header d-flex align-items-center">

        <!-- Breadcrumb starts -->
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <i class="ri-home-8-line lh-1 pe-3 me-3 border-end"></i>
                <a href="index.html">Home</a>
            </li>
            <li class="breadcrumb-item text-primary" aria-current="page">
                Update Sub-admin
            </li>
        </ol>
        <!-- Breadcrumb ends -->



    </div>
    <!-- App Hero header ends -->

    <!-- App body starts -->
    <div class="app-body">

        <!-- Row starts -->
        <div class="row gx-3">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header d-flex align-items-center justify-content-between">
                        <h5 class="card-title">Update Sub-admin</h5>
                        <a href="<?php echo site_url('admin/manage_subadmin') ?>" class="btn btn-primary ms-auto">Show
                            Sub-admin List</a>
                    </div>
                    <div class="card-body">
                        <form action="<?php echo site_url('admin/updatesubadmin/') . md5($data['id']) ?>"
                            enctype="multipart/form-data" method="post" class="row g-3" id="createForm">
                            <?php echo $this->session->tempdata('message'); ?>
                            <?php if (validation_errors())
                                echo message_box(validation_errors(), 'danger'); ?>
                            <div class="row gx-3">
                                <div class="col-sm-3">
                                    <div class="container">
                                        <h5 style="text-align:center">Upload Profile Picture</h5>
                                        <div class="avatar-upload">
                                            <div class="avatar-edit">
                                                <input type='file' id="imageUpload" name="imageUpload"
                                                    accept=".png, .jpg, .jpeg" value="" />
                                                <label for="imageUpload"><i class="ic ri-camera-fill"></i></label>
                                                <input type="hidden" name="old_img_path"
                                                    value="<?php echo $data['profile_path']; ?>">
                                            </div>
                                            <div class="avatar-preview">
                                                <div id="imagePreview"
                                                    style="background-image: url('<?php echo base_url('assets/uploads/') . $data['profile_path'] ?>');">
                                                </div>
                                            </div>
                                            <label id="imageUpload-error" class="error" for="imageUpload"
                                                style="text-align: center;width: 100%;margin-top: 10px;"></label>



                                            <label
                                                style="text-align: center;width: 100%;margin-top: 10px; color: #013e5a;;font-style: italic;">*
                                                Image
                                                Should
                                                not be greater then 100 KB.</label>

                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-9">
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="bg-light rounded-2 px-3 py-2 mb-3">
                                                <h6 class="m-0">Personal Details</h6>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-xxl-4 col-lg-4 col-sm-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="a1">Full Name <span
                                                        class="text-danger">*</span></label>
                                                <input type="text" class="form-control" id="fullname" name="fullname"
                                                    placeholder="Enter Full Name"
                                                    value="<?php echo $data['full_name'] ?>">
                                            </div>
                                        </div>

                                        <div class="col-xxl-4 col-lg-4 col-sm-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="a3">Mobile Number<span
                                                        class="text-danger">*</span></label>
                                                <input type="number" class="form-control" id="mob_number"
                                                    name="mob_number" placeholder="Enter Mobile Number"
                                                    value="<?php echo $data['mobile_number'] ?>">
                                            </div>
                                        </div>

                                        <div class="col-xxl-4 col-lg-4 col-sm-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="a7">Account Status</label>
                                                <div><?php echo getuserStatus($data['active'], $data['id']) ?></div>
                                            </div>
                                        </div>

                                    </div>

                                    <div class="row">
                                        <div class="col-xxl-4 col-lg-4 col-sm-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="a2">Select Registration Type <span
                                                        class="text-danger">*</span></label>

                                                <?php
                                                $quntype = getreg();
                                                // print_data($quntype); 
                                                $js = ' class="form-select" id="reg_type" ';
                                                ?>
                                                <?php echo form_dropdown('reg_type', $quntype, $data['registration_type'] ? $data['registration_type'] : '', $js); ?>

                                            </div>
                                        </div>
                                        <div class="col-xxl-4 col-lg-4 col-sm-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="a7">Designation <span
                                                        class="text-danger">*</span></label>
                                                <input type="text" class="form-control" id="desig" name="desig"
                                                    placeholder="Enter Designation"
                                                    value="<?php echo $data['designation'] ?>">
                                            </div>
                                        </div>
                                        <div class="col-xxl-4 col-lg-4 col-sm-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="selectGender1">Gender <span
                                                        class="text-danger">*</span></label>
                                                <div class="m-0">
                                                    <div class="form-check form-check-inline">
                                                        <input class="form-check-input" type="radio"
                                                            name="selectGenderOptions" <?php if ($data['gender'] == "male") {
                                                                echo 'checked';
                                                            } ?>
                                                            id="selectGender1" value="male" required>
                                                        <label class="form-check-label" for="selectGender1">Male</label>
                                                    </div>
                                                    <div class="form-check form-check-inline">
                                                        <input class="form-check-input" type="radio"
                                                            name="selectGenderOptions" <?php if ($data['gender'] == "female") {
                                                                echo 'checked';
                                                            } ?>
                                                            id="selectGender2" value="female">
                                                        <label class="form-check-label"
                                                            for="selectGender2">Female</label>
                                                    </div>
                                                    <label id="selectGenderOptions-error" class="error"
                                                        for="selectGenderOptions"></label>
                                                </div>
                                            </div>
                                        </div>

                                    </div>

                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="mb-3">
                                                <label class="form-label" for="a8">Complete Address </label>
                                                <textarea class="form-control" id="address" name="address"
                                                    placeholder="Enter Complete Address"
                                                    rows="2"><?php echo $data['address'] ?></textarea>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-xxl-4 col-lg-4 col-sm-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="a2">Email <span
                                                        class="text-danger">*</span></label>
                                                <input type="email" class="form-control read-only" readonly
                                                    placeholder="Enter Email" value="<?php echo $data['email'] ?>">
                                            </div>
                                        </div>
                                        <div class="col-xxl-4 col-lg-4 col-sm-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="a7">Created On </label>
                                                <input type="text" class="form-control read-only" readonly
                                                    value="<?php echo date('d/m/Y H:i:s', $data['created_on']); ?>">
                                            </div>
                                        </div>
                                        <div class="col-xxl-4 col-lg-4 col-sm-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="a7">Last Login </label>
                                                <input type="text" class="form-control read-only" readonly
                                                    value="<?php echo date('d/m/Y H:i:s', $data['last_login']); ?>">
                                            </div>
                                        </div>
                                    </div>



                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="d-flex gap-2 justify-content-end">
                                                <a href="#" class="btn btn-outline-secondary">
                                                    Cancel
                                                </a>
                                                <button class="btn btn-primary" type="submit">
                                                    Update Sub-admin
                                                </button>

                                            </div>
                                        </div>
                                    </div>


                                </div>


                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- Row ends -->


    </div>
    <!-- App body ends -->
    <script src="<?php echo $base_assets_url; ?>assets/lib/jquery.js"></script>
    <script src="<?php echo $base_assets_url; ?>assets/js/jquery.validate.js"></script>
    <script src="<?php echo $base_assets_url; ?>assets/js/sweetalert.js"></script>

    <script>
        $(document).ready(function () {
            $("#reg_type option:first").attr('disabled', 'disabled');
        });
    </script>



    <script>

        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#imagePreview').css('background-image', 'url(' + e.target.result + ')');
                    $('#imagePreview').hide();
                    $('#imagePreview').fadeIn(650);
                }
                reader.readAsDataURL(input.files[0]);
            }
        }
        $("#imageUpload").change(function () {
            readURL(this);
        });
    </script>

    <script>
        $().ready(function () {

            $(document).ready(function () {
                $.validator.setDefaults({
                    ignore: []
                });
            });

            // validate signup form on keyup and submit
            $("#createForm").validate({
                rules: {
                    fullname: "required",
                    mob_number: "required",
                    reg_type: "required",
                    desig: "required",
                    selectGenderOptions: "required",



                },
                messages: {
                    fullname: "Please enter fullname",
                    mob_number: "Please enter mobile number",
                    reg_type: "Please select registration type",
                    desig: "Please enter designation",
                    selectGenderOptions: "Please select gender",

                }
            });


        });
    </script>

    <script>

        function updateStatus(id, st) {
            swal({
                title: "Are you sure?",
                text: "You want to update Sub-admin account status ?",
                icon: "warning",
                buttons: true,
            })
                .then((willDelete) => {
                    if (willDelete) {

                        $.ajax({
                            url: "<?php echo site_url('webmaster/updatesubadminstatus') ?>",
                            method: "POST",
                            data: { id: id, st: st },
                            success: function (data) {
                                window.location.href = window.location.href;
                            }
                        });


                    } else {
                        swal("Sub-admin status is safe!");
                    }
                });
        }

    </script>