<!-- App container starts -->

<link rel="stylesheet" href="<?php echo $base_assets_url; ?>assets/css/screen.css">
<style>
    .avatar-upload {
        position: relative;
        max-width: 205px;
        margin: 10px auto;
    }

    .avatar-upload .avatar-edit {
        position: absolute;
        right: 12px;
        z-index: 1;
        top: 10px;
    }

    .avatar-upload .avatar-edit input {
        /* display: none; */
        visibility: hidden;
        width: 0px;
    }

    .avatar-upload .avatar-edit input+label {
        display: inline-block;
        width: 34px;
        height: 34px;
        margin-bottom: 0;
        border-radius: 100%;
        background: #FFFFFF;
        border: 1px solid transparent;
        box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.12);
        cursor: pointer;
        font-weight: normal;
        transition: all 0.2s ease-in-out;
    }

    .avatar-upload .avatar-edit input+label:hover {
        background: #f1f1f1;
        border-color: #d6d6d6;
    }

    .avatar-upload .avatar-edit input+label:after {
        color: #757575;
        position: absolute;
        top: 10px;
        left: 0;
        right: 0;
        text-align: center;
        margin: auto;
    }

    .avatar-upload .avatar-preview {
        width: 192px;
        height: 192px;
        position: relative;
        border-radius: 100%;
        border: 6px solid #F8F8F8;
        box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
    }

    .avatar-upload .avatar-preview>div {
        width: 100%;
        height: 100%;
        border-radius: 100%;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
    }

    .ic {
        font-size: 1.15rem;
        flex-shrink: 0;
        width: 32px;
        height: 32px;
        display: flex;
        align-items: center;
        justify-content: center;
        color: #969497;
    }

    .read-only {
        background: #ebebeb;
    }
</style>

<style>
    #password_rules ul li {
        /*font-size: 12px;
        font-weight: normal;*/
        color: #000000;
    }

    #password_rules ul li.complete {
        color: #5DB406;
    }

    span.togglePassword {
        color: gray;
        font-size: 12px;
        cursor: pointer;
    }
</style>


<div class="app-container">

    <!-- App hero header starts -->
    <div class="app-hero-header d-flex align-items-center">

        <!-- Breadcrumb starts -->
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <i class="ri-home-8-line lh-1 pe-3 me-3 border-end"></i>
                <a href="index.html">Home</a>
            </li>
            <li class="breadcrumb-item text-primary" aria-current="page">
                Update Sub-admin password
            </li>
        </ol>
        <!-- Breadcrumb ends -->



    </div>
    <!-- App Hero header ends -->

    <!-- App body starts -->
    <div class="app-body">

        <!-- Row starts -->
        <div class="row gx-3">
            <div class="col-sm-12">
                <div class="card">
                    <div class="card-header d-flex align-items-center justify-content-between">
                        <h5 class="card-title">Update Sub-admin password</h5>
                        <a href="<?php echo site_url('admin/manage_subadmin') ?>" class="btn btn-primary ms-auto">Show
                            Sub-admin List</a>
                    </div>
                    <div class="card-body">
                        <form action="<?php echo site_url('admin/updatesubadminpassword/') . md5($data['id']) ?>"
                            enctype="multipart/form-data" method="post" class="row g-3" id="createForm">
                            <?php echo $this->session->tempdata('message'); ?>
                            <?php if (validation_errors())
                                echo message_box(validation_errors(), 'danger'); ?>
                            <div class="row gx-3">
                                <div class="col-sm-6">
                                    <div class="container">
                                        <h5 style="text-align:center">Profile Picture</h5>
                                        <div class="avatar-upload">

                                            <div class="avatar-preview">
                                                <div id="imagePreview"
                                                    style="background-image: url('<?php echo base_url('assets/uploads/') . $data['profile_path'] ?>');">
                                                </div>
                                            </div>
                                            <input type="hidden" name="identity" value="<?php echo $data['email'] ?>" />


                                        </div>
                                        <div id="password_rules" class="mt-3">
                                            <h4>Passwords must meet these requirements:</h4>
                                            <ul>
                                                <li class="password_length">At least 8 characters</li>
                                                <li class="password_uppercase">At least 1 uppercase letter</li>
                                                <li class="password_number">At least one number</li>
                                                <li class="password_match">Password and confirmation must match</li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-sm-6">
                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="bg-light rounded-2 px-3 py-2 mb-3">
                                                <h6 class="m-0">Personal Details</h6>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-xxl-6 col-lg-4 col-sm-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="a1">Full Name <span
                                                        class="text-danger">*</span></label>
                                                <input type="text" class="form-control read-only" readonly
                                                    value="<?php echo $data['full_name'] ?>">
                                            </div>
                                        </div>

                                        <div class="col-xxl-6 col-lg-4 col-sm-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="a3">Mobile Number<span
                                                        class="text-danger">*</span></label>
                                                <input type="number" class="form-control read-only" readonly
                                                    value="<?php echo $data['mobile_number'] ?>">
                                            </div>
                                        </div>



                                    </div>


                                    <div class="row">
                                        <div class="col-xxl-6 col-lg-4 col-sm-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="a2">Email <span
                                                        class="text-danger">*</span></label>
                                                <input type="email" class="form-control read-only" readonly
                                                    placeholder="Enter Email" value="<?php echo $data['email'] ?>">
                                            </div>
                                        </div>
                                        <div class="col-xxl-6 col-lg-4 col-sm-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="a7">Created On </label>
                                                <input type="text" class="form-control read-only" readonly
                                                    value="<?php echo date('d/m/Y H:i:s', $data['created_on']); ?>">
                                            </div>
                                        </div>

                                    </div>

                                    <div class="row">
                                        <div class="col-xxl-6 col-lg-4 col-sm-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="a2">New password <span
                                                        class="text-danger">*</span></label>
                                                <div class="input-group">
                                                    <span class="input-group-text togglePassword2">
                                                        <i class="ri-eye-line"></i>
                                                    </span>
                                                    <input type="password" id="pass" name="new" required
                                                        class="form-control validate password"
                                                        placeholder="Enter new password">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-xxl-6 col-lg-4 col-sm-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="a7">Confirm password</label>
                                                <div class="input-group">
                                                    <span class="input-group-text togglePassword3">
                                                        <i class="ri-eye-line"></i>
                                                    </span>
                                                    <input type="password" id="conf" name="new_confirm" required
                                                        class="form-control validate password"
                                                        placeholder="Confirm password">
                                                </div>
                                            </div>
                                        </div>

                                    </div>



                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="d-flex gap-2 justify-content-end">
                                                <a href="#" class="btn btn-outline-secondary">
                                                    Cancel
                                                </a>
                                                <button class="btn btn-primary" type="submit">
                                                    Update Sub-admin password
                                                </button>

                                            </div>
                                        </div>
                                    </div>


                                </div>


                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- Row ends -->


    </div>
    <!-- App body ends -->

    <script src="<?php echo $base_assets_url; ?>assets/lib/jquery.js"></script>
    <script src="<?php echo $base_assets_url; ?>assets/js/jquery.validate.js"></script>

    <script>
        $(document).ready(function () {
            var validateInput = $('input.validate');

            function validateInputs() {
                var password = $('#pass').val(),
                    conf = $('#conf').val(),
                    all_pass = true;

                var uppercase = password.match(/[A-Z]/),
                    number = password.match(/[0-9]/);

                if (password.length < 8) {
                    $('.password_length').removeClass('complete');
                    all_pass = false;
                } else $('.password_length').addClass('complete');

                if (uppercase) $('.password_uppercase').addClass('complete');
                else {
                    $('.password_uppercase').removeClass('complete');
                    all_pass = false;
                }

                if (number) $('.password_number').addClass('complete');
                else {
                    $('.password_number').removeClass('complete');
                    all_pass = false
                }


                if (password == conf && password != '') $('.password_match').addClass('complete');
                else {
                    $('.password_match').removeClass('complete')
                    all_pass = false;
                }

                if (all_pass == true) {
                    $(":submit").removeAttr("disabled");
                } else {
                    $(":submit").attr("disabled", true);
                }

                console.log(all_pass);
            }
            validateInput.each(validateInputs).on('keyup', validateInputs);

            function showPassword1() {
                var validateInput1 = $('#old');
                if (validateInput1.attr('type') === 'password') {
                    validateInput1.attr('type', 'text');
                }
                else if (validateInput1.attr('type') === 'text') {
                    console.log('else');
                    validateInput1.attr('type', 'password');
                }
            }

            function showPassword2() {
                var validateInput1 = $('#pass');
                if (validateInput1.attr('type') === 'password') {
                    validateInput1.attr('type', 'text');
                }
                else if (validateInput1.attr('type') === 'text') {
                    console.log('else');
                    validateInput1.attr('type', 'password');
                }
            }

            function showPassword3() {
                var validateInput1 = $('#conf');
                if (validateInput1.attr('type') === 'password') {
                    validateInput1.attr('type', 'text');
                }
                else if (validateInput1.attr('type') === 'text') {
                    console.log('else');
                    validateInput1.attr('type', 'password');
                }
            }

            $('.togglePassword1').on('click', showPassword1);
            $('.togglePassword2').on('click', showPassword2);
            $('.togglePassword3').on('click', showPassword3);
        });
    </script>